/*--------------------------------------------------------------------------
**      expr.h                 Twine           From:  Wine/debugger
**
**              
**------------------------- < License Information > ------------------------
**
**      This file is a direct copy of the equivalent file in the
**  Wine project (www.winehq.com).  The Wine license permits
**  copying of source code, so long as all copyright and credit
**  information is preserved.  Any and all copyrights originally
**  in the Wine source code file are preserved exactly as they were
**  when this copy was made from the Wine source tree.
**  (see the 'Original Copyright(s)', below).
**  An exacty copy of the Wine license is contained in WINE-LICENSE.
**  
**      For a more general description of the Wine license, and
**  for a full list of the authors who deserve credit for this
**  code, please see www.winehq.com, or WINE-AUTHORS.
**  
**      However, because this file is released with Twine, we
**  are obliged to also release it under the LGPL license.
**  In short, you may make a copy or republish this code so long as
**  all of your changes to source code are again made publicly available.
**  Further, absolutely no warranty of any kind is given or implied.
**  Refer to the LGPL description at www.fsf.org or the file LICENSE 
**  for further details.
**  
**  
**      ==========================================================
**      IF YOU MAKE CHANGES TO THIS CODE, PLEASE REFLECT
**      THOSE CHANGES IN THE ORIGINAL WINE CODE, AT WWW.WINEHQ.COM
**      ==========================================================
**
**      
**------------------------ < Original Copyright(s) > -----------------------
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	debugger/expr.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/debugger/expr.h,v 1.3 1999/07/08 18:53:02 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 

#define EXP_OP_LOR		0x01
#define EXP_OP_LAND		0x02
#define EXP_OP_OR		0x03
#define EXP_OP_AND		0x04
#define EXP_OP_XOR		0x05
#define EXP_OP_EQ		0x06
#define EXP_OP_GT		0x07
#define EXP_OP_LT		0x08
#define EXP_OP_GE		0x09
#define EXP_OP_LE		0x0a
#define EXP_OP_NE		0x0b
#define EXP_OP_SHL		0x0c
#define EXP_OP_SHR		0x0d
#define EXP_OP_ADD		0x0e
#define EXP_OP_SUB		0x0f
#define EXP_OP_MUL		0x10
#define EXP_OP_DIV		0x11
#define EXP_OP_REM		0x12
#define EXP_OP_NEG		0x13
#define EXP_OP_NOT		0x24
#define EXP_OP_LNOT		0x25
#define EXP_OP_DEREF		0x26
#define EXP_OP_ADDR		0x27
#define EXP_OP_ARR		0x28
#define EXP_OP_SEG		0x29
#define EXP_OP_FORCE_DEREF	0x2a

/*------------------------- < Full Revision History > ----------------------
** $Log: expr.h,v $
** Revision 1.3  1999/07/08 18:53:02  mwalsh
** Updated Comments
**
**-------------------------------------------------------------------------*/
