/*--------------------------------------------------------------------------
**      WAHDItem.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WAHDItem.h
**
**  Description:Array of HD_ITEM
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WAHDItem.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



#ifndef WAHDITEM_H
#define WAHDITEM_H


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WUtilities.h"
#include "WArray.h"
#include "WHDItem.h"


class EXPORT CWAHDItem : 
    private CWArray
{

    public:

        CWAHDItem ()
            : CWArray ( sizeof ( CWHDItem ) )
        {
        }
        virtual ~CWAHDItem ()
        {
        }

        void Insert (
            DWORD                               IndexBefore,
            CWHDItem                            *pItem )
        {
            CWArray::Insert ( IndexBefore, ( CWElement** )&pItem );
        }
        void Delete (
            DWORD                               Index )
        {
            CWArray::Delete ( Index );
        }
        CWHDItem* operator[] (
            DWORD                               Index )
        {
            return ( ( ( CWHDItem* )CWArray::operator[]( Index ) ) );
        }
        DWORD Count ()
        { 
            return ( CWArray::Count() ); 
        }
        DWORD Size ()
        {
            return ( CWArray::Size() );
        }

};


#endif // #ifndef WAHDITEM_H

/*------------------------- < Full Revision History > ----------------------
** $Log: WAHDItem.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/