/*--------------------------------------------------------------------------
**      WALVColumns.h                  Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WALVColumns.h 
**
**  Description:Array of Chunks of memory
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WALVColumns.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/




#ifndef WACOLUMN_H
#define WACOLUMN_H


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WUtilities.h"
#include "WArray.h"
#include "WCommCtrl.h"
#include "WLVColumn.h"


class EXPORT CWALVColumns : 
    private CWArray
{

    public:

        CWALVColumns ()
            : CWArray ( sizeof ( CWLVColumn* ) )
        {
        }
        virtual ~CWALVColumns ()
        {
        }

        CWLVColumn* operator[] (
            DWORD                               Index )
        {
            return ( ( ( CWLVColumn* )CWArray::operator[]( Index ) ) );
        }
        DWORD ColumnCount ()
        { 
            return ( CWArray::Count() ); 
        }
        DWORD ItemCount ();
        void InsertColumn (
            DWORD                               IndexBefore,
            LV_COLUMN                           *pLVColumn );
        void DeleteColumn (
            DWORD                               ColumnIndex );
        void GetColumn (
            DWORD                               ColumnIndex,
            LV_COLUMN                           *pLVColumn );
        void SetColumn (
            DWORD                               ColumnIndex,
            LV_COLUMN                           *pLVColumn );
        void InsertItemRow (
            DWORD                               IndexBefore );
        void DeleteItemRow (
            DWORD                               RowIndex );
        void GetItem (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex,
            LV_ITEM                             *pLVItem );
        int GetItemTextLength (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex );
        void SetItem (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex,
            LV_ITEM                             *pLVItem );
        char* GetItemString (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex );
        DWORD GetItemImageIndex (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex );
        void SetItemPosition (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex,
            LPPOINT                             pPoint );
        void GetItemPosition (
            DWORD                               ColumnIndex,
            DWORD                               ItemIndex,
            LPPOINT                             pPoint );



    private:

        void Insert (
            DWORD                               IndexBefore,
            CWLVColumn                          *pColumn )
        {
            CWArray::Insert ( IndexBefore, ( CWElement** )&pColumn );
        }
        void Delete (
            DWORD                               Index )
        {
            CWArray::Delete ( Index );
        }

};


#endif /* #ifndef WACOLUMN_H */

/*------------------------- < Full Revision History > ----------------------
** $Log: WALVColumns.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/