/*--------------------------------------------------------------------------
**      WALVItems.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WALVItems.h
**
**  Description:Array of Chunks of memory
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WALVItems.h,v 1.2 1999/07/12 15:38:20 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef WALVITEMS_H
#define WALVITEMS_H

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "WUtilities.h"
#include "WArray.h"
#include "WCommCtrl.h"
#include "WLVItem.h"


class EXPORT CWALVItems : 
    private CWArray
{

    public:

        CWALVItems ()
            : CWArray ( sizeof ( CWLVItem* ) )
        {
            pfnCompare = ( PFNWCOMPARE )NULL;    
        }
        virtual ~CWALVItems ()
        {
        }

        void Insert (
            DWORD                               IndexBefore,
            CWLVItem                            *pItem )
        {
            CWArray::Insert ( IndexBefore, ( CWElement** )&pItem );
        }
        void Delete (
            DWORD                               Index )
        {
            CWArray::Delete ( Index );
        }
        CWLVItem* operator[] (
            DWORD                               Index )
        {
            return ( ( ( CWLVItem* )CWArray::operator[]( Index ) ) );
        }
        DWORD Count ()
        { 
            return ( CWArray::Count() ); 
        }
        DWORD Size ()
        {
            return ( CWArray::Size() );
        }
        int Compare (
            DWORD                               Index1,
            DWORD                               Index2,
            LPARAM                              lParam );
        BOOL Sort (
            PFNWCOMPARE                         pfnCompareProc,
            LPARAM                              lParam );
        char* ItemString (
            DWORD                               Index );
        DWORD GetItemImageIndex (
            DWORD                               Index );


    private:

        PFNWCOMPARE                             pfnCompare;

};


#endif /* #ifndef WALVITEMS_H */

/*------------------------- < Full Revision History > ----------------------
** $Log: WALVItems.h,v $
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/