/*--------------------------------------------------------------------------
**      WHdr.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**       Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WHdr.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WHdr.h,v 1.3 2000/01/07 09:39:35 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef __WHEADER_H__
#define __WHEADER_H__

#define WHDR_ERR_GENERAL				-1
#define WHDR_ERR_REGISTERCLASS		-2
#define WHDR_ERR_GLOBALALLOC			-3
#define WHDR_ERR_GLOBALLOCK			-4
#define	WHDR_ERR_LISTCOUNT			-5
#define WHDR_ERR_LISTLOCK			-6
#define WHDR_ERR_OUTOFRANGE			-7
#define WHDR_ERR_LISTCREATE			-8
#define WHDR_ERR_NULLPOINTER			-9
#define WHDR_ERR_NOSIZE				-10
#define WHDR_ERR_LOCALALLOC			-11
#define WHDR_ERR_LOCALLOCK			-12
#define WHDR_ERR_OUTOFBOUNDS			-13
#define WHDR_ERR_LISTINITIALIZE		-14
#define WHDR_ERR_LISTINSERT			-15
#define WHDR_ERR_LISTDESTROY			-16
#define WHDR_ERR_GETDC				-17
#define WHDR_ERR_DRAWTEXT			-18
#define WHDR_ERR_HEADERINSERT		-19
#define WHDR_ERR_LISTDELETE			-20
#define WHDR_ERR_GETWINPROP			-21
#define WHDR_ERR_CREATEWINDOW		-22
#define WHDR_ERR_MEMORYLOCK			-23
#define WHDR_ERR_MEMORYALLOC			-24

#define TVLBOXID                    100
#define MAXSTRING                   96
#define HLVITEM                     long               

#if defined _WINDOWS
#define WHD_CLASSNAME                   "WSysHeader32"
#else
#define WHD_CLASSNAME                   "SysHeader32"
#endif

#endif /* #ifdef __WHEADER_H__ */

typedef struct
{
    HD_ITEM     data;
    RECT        rc;
    char        text[MAXSTRING];
} HEADERITEM, *PHEADERITEM;


typedef struct 
{
    int                 enDrag; /* for dragging */
    POINT               ptDrag;

    BOOL                bShow;
    UINT         	uStyles;
    int                 iCount;
    HFONT       	hFont;
    COLORREF            BkColor;
    BOOL                bRecalc;
    int                 eMouse;
    int                 iCurSel;
    HCURSOR             hDivider;
    HCURSOR             hDivOpen;
    HCURSOR             hArrow;
    WLIST               Items;
} HEADERDATA, *PHEADERDATA;



static BOOL
Headr_OnGetItem
( 
    HWND                hWnd, 
    HEADERDATA*         pthis,
    int                 iItem,
    HD_ITEM*            lphdi
);

static int
Headr_OnHitTest
( 
    HWND                hWnd, 
    HEADERDATA*         pthis,
    HD_HITTESTINFO*     lpht
);

static BOOL
Headr_OnSetItem
( 
    HWND                hWnd, 
    HEADERDATA*         pthis,
    int                 iItem,
    HD_ITEM*            lphdi
);

/*------------------------- < Full Revision History > ----------------------
** $Log: WHdr.h,v $
** Revision 1.3  2000/01/07 09:39:35  robf
** noop
**
** Revision 1.2  1999/07/12 15:38:20  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/
