/*--------------------------------------------------------------------------
**      WWindow.h                 Twin           From:  Twin/dlls/commctrl
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/commctrl/WWindow.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/commctrl/WWindow.h,v 1.2 1999/07/12 15:38:23 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef CWWINDOW_H
#define CWWINDOW_H


#define CWWD_CURRENT                            (-1)


#if defined ( __cplusplus )

class CWWindow
{

    public:

        HWND                                    hWnd;

        CWWindow ();
        ~CWWindow ();


        virtual void OnWM_CREATE (
            HWND                                hCreatedWindow,
            LPCREATESTRUCT                      pCreateStruct );
        virtual void OnWM_SIZE (
            WPARAM                              Flag,
            int                                 Width,
            int                                 Height );

        virtual void SetExtent (
            int                                 X,
            int                                 Y,
            int                                 Width = 0,
            int                                 Height = 0 );
        void SetXExtent (
            int                                 X )
        {
            SetExtent ( X, CWWD_CURRENT );
        }
        void SetYExtent (
            int                                 Y )
        {
            SetExtent ( CWWD_CURRENT, Y );
        }
        long GetExtent ()
        {
            return ( MAKELONG ( ( short )XExtent, ( short )YExtent ) );
        }
        int GetXExtent ()
        {
            return ( XExtent );
        }
        int GetYExtent ()
        {
            return ( YExtent );
        }
        virtual void SetOrigin (
            int                                 X,
            int                                 Y,
            BOOL                                Redraw = TRUE );
        void SetXOrigin (
            int                                 X,
            BOOL                                Redraw = TRUE )
        {
            SetOrigin ( X, CWWD_CURRENT, Redraw );
        }
        void SetYOrigin (
            int                                 Y,
            BOOL                                Redraw )
        {
            SetOrigin ( CWWD_CURRENT, Y, Redraw );
        }
        long GetOrigin ()
        {
            return ( MAKELONG ( ( short )XOrigin, ( short )YOrigin ) );
        }
        int GetXOrigin ()
        {
            return ( XOrigin );
        }
        int GetYOrigin ()
        {
            return ( YOrigin );
        }
        virtual void SetRange (
            int                                 X,
            int                                 Y,
            BOOL                                Redraw = TRUE );
        void SetXRange (
            int                                 X,
            BOOL                                Redraw = TRUE )
        {
            SetRange ( X, CWWD_CURRENT, Redraw );
        }
        void SetYRange (
            int                                 Y,
            BOOL                                Redraw )
        {
            SetRange ( CWWD_CURRENT, Y, Redraw );
        }
        long GetRange ()
        {
            return ( MAKELONG ( ( short )XRange, ( short )YRange ) );
        }
        int GetXRange ()
        {
            return ( XRange );
        }
        int GetYRange ()
        {
            return ( YRange );
        }
        virtual LRESULT WDefWindowProc (
            HWND                                hCurrWnd,
            UINT                                Message,
            WPARAM                              wParam,
            LPARAM                              lParam );


    private:

        int                                     XOrigin;
        int                                     YOrigin;
        int                                     XExtent;
        int                                     YExtent;
        int                                     XRange;
        int                                     YRange;

        void UpdateScrollBar (
            UINT                                ScrollBar,
            int                                 Origin,
            int                                 Range,
            int                                 Extent );
        void ShowScrollBars (
            int                                 Width  = 0,
            int                                 Height = 0 );

};


extern "C"
{
#endif /* #if defined ( __cplusplus ) */



#if defined ( __cplusplus )
}
#endif /* #if defined ( __cplusplus ) */



#endif /* #ifndef CWWINDOW_H */

/*------------------------- < Full Revision History > ----------------------
** $Log: WWindow.h,v $
** Revision 1.2  1999/07/12 15:38:23  mwalsh
** Updated comments to standard header and footer style
**
**-------------------------------------------------------------------------*/