/*--------------------------------------------------------------------------
**      Net.c                 Twin           From:  Twin/dlls/mpr
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/mpr/Net.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/mpr/Net.c,v 1.3 2000/01/28 07:47:22 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "windowsx.h"
#include "Net.h"
#include "Log.h"

UINT WINAPI
WNetAddConnection(LPSTR lpszNetPath, LPSTR lpszPassword, LPSTR lpszLocalName)
{
    LOGSTR((LF_LOG,"WNetAddConnection: STUB local %s\n", lpszLocalName));
    return WN_NET_ERROR;
}

UINT WNetCancelConnection(LPSTR lpszName, BOOL fForce)
{
    LOGSTR((LF_LOG,"WNetCancelConnect: STUB local %s\n", lpszName));
    return WN_NET_ERROR;
}

UINT WINAPI
WNetGetConnection(LPSTR lpszLocalName, LPSTR lpszRemoteName,
		  UINT *lpcbRemoteName)
{
    LOGSTR((LF_LOG,"WNetGetConnection: STUB local %s\n",lpszLocalName));
    return WN_NET_ERROR;
}

UINT WINAPI
WNetGetCaps(UINT uiMask)
{
    LOGSTR((LF_API,"WNetGetCaps: STUB index %x\n",uiMask));
    switch (uiMask) {
	case WNNC_SPEC_VERSION:
	    return (UINT)(LOWORD(GetVersion()));
	case WNNC_NET_TYPE:
	    return WNNC_NET_None;
	case WNNC_DRIVER_VERSION:
	case WNNC_USER:
	case WNNC_CONNECTION:
	case WNNC_PRINTING:
	case WNNC_DEVMODE:
	case WNNC_ERROR:
	case WNNC_BROWSE:
	default:
	    return 0;
    }
}

WORD WINAPI
WNetGetUser(LPCSTR lpszName,LPSTR lpszUserName, LPWORD lpwLen)
{
    char *logname;
    int  rc = NO_ERROR;

    LOGSTR((LF_APICALL,"WNetGetUser(LPSTR=%p,LPSTR=%p,LPWORD=%p\n",
	lpszName,lpszUserName,lpwLen));
    logname = getenv("LOGNAME");
    strncpy(lpszUserName,logname,min(*lpwLen,strlen(logname)));

    LOGSTR((LF_APIRET,"WNetGetUser: returns %d (%s)\n",rc,lpszUserName));
    return rc;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Net.c,v $
** Revision 1.3  2000/01/28 07:47:22  robf
** added win32 wnetgetuser
**
** Revision 1.2  1999/07/12 19:35:32  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/
