/*--------------------------------------------------------------------------
**      Shell.c                 Twin           From:  Twin/dlls/shell
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/shell/Shell.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/shell/Shell.c,v 1.5 1999/07/12 19:35:38 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "windowsx.h"
#define __SHELLAPI_H__

#include "Log.h"
#include "kerndef.h"
#include "KrnAtoms.h"

DWORD WINAPI 
SHGetFileInfo(LPCTSTR pszPath, DWORD dwFileAttributes,SHFILEINFO *psfi, UINT cbFileInfo,
    UINT uFlags)
{
	LOGSTR((LF_APISTUB,"SHGetFileInfo(%p,%x,%p,%d,%x)\n",
		pszPath,dwFileAttributes,psfi,cbFileInfo,uFlags));
	return 0;
}

typedef struct {
	int foo;
} SHELLFOLDER,*LPSHELLFOLDER;

DWORD WINAPI 
SHGetDesktopFolder(LPSHELLFOLDER FAR *psfi)
{
	LOGSTR((LF_APISTUB,"SHGetDesktopFolder(%p)\n",psfi));
	return 0;
}

void WINAPI 
Control_RunDLL( HWND hwnd, LPCVOID code, LPCSTR cmd, DWORD arg4 )
{
	LOGSTR((LF_APISTUB,"Control_RunDLL(%x,%p,%p,%x)\n",
		hwnd,code,cmd,arg4));
}

long int
ExtractAssociatedIcon(/*HWND hWnd, WORD wIndex*/)
{
	return 0;
}

HICON WINAPI
ExtractIcon(HINSTANCE hInst, LPCSTR lpszExeFileName, UINT nIconIndex)
{
    APISTR((LF_APISTUB,"ExtractIcon(HINSTANCE=%x,LPCSTR=%s,UINT=%x0\n",
	hInst,lpszExeFileName?lpszExeFileName:"NULL",nIconIndex));
    return (HICON)0;
}
#ifdef TWIN_BIN32
HINSTANCE WINAPI
ShellExecuteA(HWND hWnd, LPCSTR lpOperation, LPCSTR lpFile,
		LPCSTR lpParameters, LPCSTR lpDirectory, int nShowCmd)
{
	APISTR((LF_API,"ShellExecuteA(%x,%p,%s,%p,%p,%d)\n",
		hWnd, lpOperation, lpFile,
		lpParameters, lpDirectory, nShowCmd));
		
	return ShellExecute(hWnd, lpOperation, lpFile,
		lpParameters, lpDirectory, nShowCmd);
}

#endif

HINSTANCE WINAPI
ShellExecute(HWND hWnd, LPCSTR lpOperation, LPCSTR lpFile,
		LPCSTR lpParameters, LPCSTR lpDirectory, int nShowCmd)
{
    HINSTANCE hInst;
    APISTR((LF_APICALL,
      "ShellExecute(HWND=%x,LPCSTR=%p,LPCSTR=%s,LPCSTR=%p,LPCSTR=%p,int=%d)\n",
	hWnd,lpOperation,lpFile,lpParameters,lpDirectory,nShowCmd));
    hInst = WinExec(lpFile,nShowCmd);
    APISTR((LF_APIRET,"ShellExecute: returns HINSTANCE %x\n",hInst));
    return hInst;
}

HINSTANCE WINAPI
FindExecutable(LPCSTR lpszFile, LPCSTR lpszDir, LPSTR lpResult)
{
    APISTR((LF_APISTUB,"FindExecutable(LPCSTR=%s,LPCSTR=%s,LPSTR=%x)\n",
	lpszFile,lpszDir,lpResult));
   /* later, add a search for the application to match file if not .exe */
    strcpy(lpResult,lpszFile);
    return (HINSTANCE) 33;
}

void WINAPI
RegisterShellHook(HWND hWnd, int foo)
{
    APISTR((LF_APISTUB,"RegisterShellHook(HWND=%x,int=%d)\n",hWnd,foo));
}

/* (WIN32) File Security *************************************************** */
   
BOOL    WINAPI
GetFileSecurity(LPCSTR lpszFile,
        SECURITY_INFORMATION si, PSECURITY_DESCRIPTOR psd,
        DWORD dw, LPDWORD lp)
{
        APISTR((LF_APISTUB, "GetFileSecurity(LPCSTR=%s,...)\n", lpszFile));
        return (TRUE);
}       
   
BOOL    WINAPI
SetFileSecurity(LPCSTR lpszFile,
        SECURITY_INFORMATION si, PSECURITY_DESCRIPTOR psd)
{   
        APISTR((LF_APISTUB, "SetFileSecurity(LPCSTR=%s,...)\n", lpszFile));
        return (TRUE);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Shell.c,v $
** Revision 1.5  1999/07/12 19:35:38  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/