/*--------------------------------------------------------------------------
**      SystemIF.c                 Twin           From:  Twin/dlls/system
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/system/SystemIF.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/system/SystemIF.c,v 1.2 1999/07/12 19:35:42 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#define NOAPIPROTO
#include "windows.h"
#include "Resources.h"
#include "ModTable.h"
#include "Segment.h"
#include "Log.h"

extern long int InquireSystem();
extern long int Get80x87SaveSize();
extern long int CreateSystemTimer();
extern long int KillSystemTimer();
extern long int EnableSystemTimers();
extern long int DisableSystemTimers();

#if defined(TWIN_BIN16)
extern long int IT_INQSYSTEM();
extern long int IT_V();
extern long int IT_1H();
extern long int IT_1I1D();
extern long int Trap();

 /* Interface Segment Image SYSTEM: */

static long int (*seg_image_SYSTEM_0[])() =
{	/* nil */	0, 0,
	/* 001 */	IT_INQSYSTEM,  InquireSystem,
	/* 002 */	IT_1I1D, CreateSystemTimer,
	/* 003 */	IT_1H, KillSystemTimer,
	/* 004 */	IT_V, EnableSystemTimers,
	/* 005 */	IT_V, DisableSystemTimers,
	/* 006 */	Trap, 0,
	/* 007 */	IT_V,  Get80x87SaveSize,
	0
};
#endif

 /* Segment Table SYSTEM: */

SEGTAB SegmentTableSYSTEM[] =
{	
#if defined(TWIN_BIN16)
	{ (char *) seg_image_SYSTEM_0, 56, TRANSFER_CALLBACK, 56, 0, 0 },
#endif
	/* end */	{ 0, 0, 0, 0, 0, 0 }
};

/*------------------------- < Full Revision History > ----------------------
** $Log: SystemIF.c,v $
** Revision 1.2  1999/07/12 19:35:42  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/