/*--------------------------------------------------------------------------
**      VerBin.c                 Twin           From:  Twin/dlls/version
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/version/VerBin.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/version/VerBin.c,v 1.3 1999/11/30 01:16:44 robf Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#define NOAPIPROTO
#include "windows.h"
#include "Resources.h"
#include "ModTable.h"
#include "Segment.h"
#include "Log.h"

extern long int Trap();

extern long int GetFileResourceSize();
extern long int GetFileResource();
extern long int GetFileVersionInfoSize();
extern long int GetFileVersionInfo();
extern long int VerFindFile();
extern long int VerInstallFile();
extern long int VerLanguageName();
extern long int VerQueryValue();

 /* Interface Segment Image VER: */
#if defined(TWIN_BIN16)
extern long int IT_GETFILERESOURCESIZE();
extern long int IT_GETFILERESOURCE();
extern long int IT_GETFILEVERSIONINFOSIZE();
extern long int IT_GETFILEVERSIONINFO();
extern long int IT_1UI7LP();
extern long int IT_VERLANGUAGENAME();
extern long int IT_VERQUERYVALUE();

static long int (*seg_image_VER_0[])() =
{	/* nil */	0, 0,
	/* 001 */	Trap, 0,
	/* 002 */	IT_GETFILERESOURCESIZE,		GetFileResourceSize,
	/* 003 */	IT_GETFILERESOURCE,		GetFileResource,
	/* 004 */	Trap, 0,
	/* 005 */	Trap, 0,
	/* 006 */	IT_GETFILEVERSIONINFOSIZE,	GetFileVersionInfoSize,
	/* 007 */	IT_GETFILEVERSIONINFO,		GetFileVersionInfo,
	/* 008 */	IT_1UI7LP,			VerFindFile,
	/* 009 */	IT_1UI7LP,			VerInstallFile,
	/* 00a */	IT_VERLANGUAGENAME,		VerLanguageName,
	/* 00b */	IT_VERQUERYVALUE,		VerQueryValue,
	0
};
#endif

 /* Segment Table VER: */

SEGTAB SegmentTableVERSION[] =
{	
#if defined(TWIN_BIN16)
	{ (char *) seg_image_VER_0, 88, TRANSFER_CALLBACK, 88, 0, 0 },
#endif
	/* end */	{ 0, 0, 0, 0, 0, 0 }
};

/*------------------------- < Full Revision History > ----------------------
** $Log: VerBin.c,v $
** Revision 1.3  1999/11/30 01:16:44  robf
** modified for win32
**
** Revision 1.2  1999/07/12 19:35:47  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/
