/*--------------------------------------------------------------------------
**      win87em.c                 Twin           From:  Twin/dlls/win87em
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	dlls/win87em/win87.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/dlls/win87em/win87em.c,v 1.2 1999/07/12 19:35:48 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"
#include "BinTypes.h"

#define CARRY_FLAG 1

void
WIN87EM()
{
	return;
}

void
_86_Win87Em (ENV *envp,LONGPROC f)
{
	switch(LOWORD(envp->reg.bx)) {
	    case 0:	/* Initialize the FP emulator */
	    case 1:	/* Reset the FP emulator */
	    case 2:	/* Stop the FP emulator */
	    case 3:	/* Set coprocessor error exception handler */
		break;
	    case 10:	/* Retrieve FP stack count */
		envp->reg.ax = 0;
		break;
	    case 11:	/* Query coprocessor presence */
		envp->reg.ax = 1;
		break;
	}
	envp->reg.flags &= ~CARRY_FLAG;
	envp->reg.sp += RET_86;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: win87em.c,v $
** Revision 1.2  1999/07/12 19:35:48  mwalsh
** Updated to utilize standard comment headers and footers.
**
**-------------------------------------------------------------------------*/