/*--------------------------------------------------------------------------
**      Gdi.h             Twin           From:  Twin/graphics
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/Gdi.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/Gdi.h,v 1.3 1999/07/08 18:53:08 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/ 

#ifndef Gdi__h
#define Gdi__h

typedef struct tagPDEVICE {
        short pdType;           /* Device type. 0, if bitmap */
} PDEVICE;
typedef PDEVICE FAR *LPPDEVICE;


/* PBITMAP is used in printer-compatible DC */
typedef struct {
        short           bmType;
        short           bmWidth;
        short           bmHeight;
        short           bmWidthBytes;
        BYTE            bmPlanes;
        BYTE            bmBitsPixel;
        LPBYTE          bmBits;
        LONG            bmWidthPlanes;
        LPPDEVICE       bmlpPDevice;
        short           bmSegmentIndex;
        short           bmScanSegment;
        short           bmFillBytes;
        short           futureUse1;
        short           futureUse2;
} DCBITMAP;
typedef DCBITMAP *LPDCBITMAP;

/*--------------------------------------------------------------*/

typedef struct tagPRINTEREXTRA {
        LPPDEVICE	pDevice;	/* Device dependent structure      */
        LPVOID          lpPhPen;	/* Driver specific pen structure   */
        LPVOID          lpPhBrush;	/* Driver specific brush structure */
        LPVOID		lpPhFont;	/* Driver specific font structure  */
					/* pointer to FONTINFO structure   */
	ABORTPROC	lpfnAbortProc;
	TEXTXFORM	txf;
        BOOL            IsIC;
	BOOL		bDisableResetDC;
        GDIINFO         GdiInfo;
        DRAWMODE        DrawMode;
        char            szDrvName[9];	/* Driver filename w/o extension   */
	char		szDevice[CCHDEVICENAME];
	char		szPort[1];
} PRINTEREXTRA;


typedef struct tagINTERNENVTBL {
	LPVOID	lpEnv;
	int     iEnvLen;
	char	szPort[128];
} INTERNENVTBL;

typedef INTERNENVTBL *LPINTERNENVTBL;

/* Get pointer to PRINTEREXTRA structure */
#define	GETPRINTEREXTRA(dc)	(PRINTEREXTRA*)dc->PrivateHook

int InternalEnvironment(int, LPCSTR, LPINTERNENVTBL *, int);
WORD GetTextLength(PRINTEREXTRA *, LPSTR, TEXTXFORM *);
FARPROC GetFuncAddress(LPCSTR, LPCSTR);
BOOL GDIRealizeObject(LPCSTR, LPPDEVICE, int, LPVOID, LPVOID*, LPTEXTXFORM);

#endif /* Gdi__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Gdi.h,v $
** Revision 1.3  1999/07/08 18:53:08  mwalsh
** Updated Comments
**
**-------------------------------------------------------------------------*/