/*--------------------------------------------------------------------------
**      DrvImages.h            Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvImages.h
**
**  Description: Private definitions for imaging driver subsystem
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvImages.h,v 1.2 1999/07/08 18:53:32 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/
 
#ifndef DrvImages__h
#define DrvImages__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <X11/Xlib.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


typedef struct tagDRVIMAGEDATA {
    int nWidth;
    int nHeight;
    int nLinePad;
    int nBitsPixel;
    int nWidthBytes;
    BOOL fMono;
    BOOL fInvalid;
    XImage *image;
    Pixmap pixmap;
} DRVIMAGEDATA;

typedef DRVIMAGEDATA *LPDRVIMAGEDATA;
 
#endif


/*------------------------- < Full Revision History > ----------------------
** $Log: DrvImages.h,v $
** Revision 1.2  1999/07/08 18:53:32  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/