/*--------------------------------------------------------------------------
**      DrvPrinting.c          Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvPrinting.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvPrinting.c,v 1.3 1999/07/08 18:53:32 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#ifdef __MWERKS__
	#include <Printing.h>
	#include <Quickdraw.h>
	#include <Dialogs.h>
	#include <OSUtils.h>
	#include <ToolUtils.h>
	#include <Files.h>
	#include <MixedMode.h>
#endif

#include <string.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "Driver.h"

#define PostScriptBegin	190
#define PostScriptEnd		191
#define PostScriptHandle	192
#define PostScriptFile		193

/*****************************P R O T O T Y P E S ********************/

	short	ModalDLOGFilter(void *theDialog, void *theEvent,  short *itemHit);

	short PrintAFile( );

	void FlushGrafPortState();

	void * OpenPrinterPort();

	short SendData( char *, char *buff, long buffLen);

	short ClosePrinterPort();

	void	OpenPage();

	void	ClosePage();

DWORD DrvPrintingTab(void);
static DWORD DrvPrintingDoNothing(LPARAM,LPARAM,LPVOID);

/**********************F U N C T I O N S ***************************
				CONTAINS STUBS FOR ALL FUNCTIONS ONLY!!!!!!!!!!!!!
************************************************************/

/*********************OpenPrinterPort********************/


/********************** ************************/

static TWINDRVSUBPROC DrvPrintingEntryTab[] = { /* Nothing defined */ 
	DrvPrintingDoNothing,
	DrvPrintingDoNothing,
	DrvPrintingDoNothing,
	DrvPrintingDoNothing,
	DrvPrintingDoNothing,
	DrvPrintingDoNothing
};

DWORD
DrvPrintingTab(void)
{
	return (DWORD)DrvPrintingEntryTab;
}

static DWORD
DrvPrintingDoNothing(LPARAM dwParam1, LPARAM dwParam2, LPVOID lpStruct)
{
	return 0L;
}

/****************OpenPage ************************/
/*
*/
/********************** ************************/

void OpenPage( void){
} /*OpenPage*/

/****************ClosePage ************************/
/*
*/
/********************** ************************/

void ClosePage( ){

}/* ClosePage */

/****************SendData ************************/
/*
*/
/********************** ************************/
short SendData( char *empty, char *buff, long buffLen){
	
	return -1;
 
} /* SendData*/

/****************ClosePrinterPort ************************/
/*
*/
/********************** ************************/

short ClosePrinterPort(){
	return -1;

} /*  ClosePrinterPort */

/****************FlushGrafPortState ************************/
/*
*/
/********************** ************************/
void FlushGrafPortState()
{

} /*  FlushGrafPortState  */

/****************ModalDLOGFilter ************************/
/*
*/
/********************** ************************/
short ModalDLOGFilter(void *theDialog, void *theEvent,  short *itemHit){

	return -1;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: DrvPrinting.c,v $
** Revision 1.3  1999/07/08 18:53:32  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/