/*--------------------------------------------------------------------------
**      DrvROPCodes.c          Twin           From:  Twin/graphics/x11drv
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	graphics/x11drv/DrvROPCodes.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/graphics/x11drv/DrvROPCodes.h,v 1.2 1999/07/08 18:53:32 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 
#define RI_1	R2_BLACK	/* 0		GXclear	*/
#define RI_2 	R2_NOTMERGEPEN	/* DPon		GXnor	*/  
#define RI_3 	R2_MASKNOTPEN	/* DPna		GXandInverted	*/  
#define RI_4 	R2_NOTCOPYPEN	/* Pn  		GXcopyInverted	*/ 
#define RI_5 	R2_MASKPENNOT	/* PDna		GXandReverse	*/
#define RI_6 	R2_NOT		/* Dn  		GXinvert	*/
#define RI_7 	R2_XORPEN	/* DPx 		GXxor	*/
#define RI_8 	R2_NOTMASKPEN	/* DPan		GXnand	*/
#define RI_9 	R2_MASKPEN	/* DPa 		GXand	*/
#define RI_10	R2_NOTXORPEN	/* DPxn		GXequiv	*/
#define RI_11	R2_NOP		/* D   		GXnoop	*/
#define RI_12	R2_MERGENOTPEN	/* DPno		GXorInverted	*/
#define RI_13	R2_COPYPEN	/* P   		GXcopy	*/
#define RI_14	R2_MERGEPENNOT	/* PDno		GXorReverse	*/
#define RI_15	R2_MERGEPEN	/* DPo 		GXor	*/
#define RI_16	R2_WHITE	/* 1		GXset	*/

#define ROP_BD	0x0100	/* fill dest with brush */
#define ROP_FD	0x0200  /* fill dest w/o brush */
#define ROP_SD	0x0300	/* copy src into dest	*/
#define ROP_DB	0x8400	/* create pixmap; combine dest with brush into pixmap */
#define ROP_DS	0x8500	/* create pixmap; combine dest with src into pixmap */
#define ROP_SB	0x8600	/* create pixmap; combine src with brush into pixmap */
#define ROP_SP	0x0700  /* copy src into pixmap */
#define ROP_BP	0x0800  /* fill pixmap with brush */
#define ROP_PD	0x0900  /* copy pixmap into dest */

typedef struct {
	DWORD   dwROP;
	WORD	bRops[4];
} ROPtable;

/*------------------------- < Full Revision History > ----------------------
** $Log: DrvROPCodes.h,v $
** Revision 1.2  1999/07/08 18:53:32  mwalsh
** Updated to Standard Header and Footer comments
**
**-------------------------------------------------------------------------*/