/*--------------------------------------------------------------------------
**      WinSockUtil.h                 Twin           From:  Twin/include
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	include/WinSockUtil.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/WinSockUtil.h,v 1.1 1999/07/15 17:56:55 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <sys/types.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "platform.h"

void TWIN_GetWSAError  ( void);
extern unsigned int  TWIN_WSAError;

#define TWIN_CHECKDATAPENDING    0x0020

/* This struct is used by the GetDB Routines */
struct get_db_info
{
       const char *db_char_arg1;
       const char *db_char_arg2;
       int 	db_arg2;
       int 	db_arg3;
};
struct SelectInfo
  {
    fd_set *read_fds_info;
    fd_set *write_fds_info;
    fd_set *except_fds_info;
    struct timeval *Select_time_out;
    unsigned int         sock;
  };
struct sock_data
   {
     unsigned int  sock;
     char   *SockData;
     int    DataLen;
     int    DataFlags;
     struct sockaddr *from_addr;
     int    *from_len;
     int    to_len;
   }; 

/*------------------------- < Full Revision History > ----------------------
** $Log: WinSockUtil.h,v $
** Revision 1.1  1999/07/15 17:56:55  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.2  1999/07/12 21:13:43  mwalsh
** Updated comments to utilize standard header and footer
**
**-------------------------------------------------------------------------*/
