/*--------------------------------------------------------------------------
**      osdll.h                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	include/osdll.h
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/include/twine/osdll.h,v 1.1 1999/07/15 17:56:56 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

#ifndef OSDLL_H
#define OSDLL_H

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "thread.h"
/*
 * this is private
 */
typedef struct tls_t {
	void   (*init)(struct _THDB *); 
	THDB  * tdb;
} TLS;

void   osdll_dll_exit();

THDB  *osdll_thread_init(THDB *);
int    osdll_thread_create(THDB *);
THDB * osdll_thread_gettdb();
int    osdll_thread_ops(THDB *,int);
void   osdll_thread_yield();
void   osdll_thread_suspend();

// opcodes for osdll_thread_ops
#define OSDLL_THREAD_SUSPEND	0
#define OSDLL_THREAD_RESUME	1
#define OSDLL_THREAD_CANCEL	2
#define OSDLL_THREAD_RESTART	3

int  osdll_time_sleep(DWORD);
BOOL osdll_time_ftos(LPFILETIME   lpft, LPSYSTEMTIME lpst);
BOOL osdll_time_stof(LPSYSTEMTIME lpst, LPFILETIME   lpft);
BOOL osdll_time_timetof(time_t t, LPFILETIME   lpft);
BOOL osdll_time_ftolf(const FILETIME *,LPFILETIME);
BOOL osdll_time_lftof(LPFILETIME,LPFILETIME);
BOOL osdll_time_systime(int,LPSYSTEMTIME);
BOOL osdll_time_localtime(int,LPSYSTEMTIME);
BOOL osdll_time_timezone(int,LPTIME_ZONE_INFORMATION); 
BOOL osdll_time_dostofile(WORD,WORD,LPFILETIME);
BOOL osdll_time_filetodos(LPFILETIME,LPWORD,LPWORD);
BOOL osdll_time_tzlocaltime(LPTIME_ZONE_INFORMATION,LPSYSTEMTIME, LPSYSTEMTIME);
BOOL osdll_time_settime(LPTIME_ZONE_INFORMATION , LPSYSTEMTIME , LPSYSTEMTIME );

DWORD osdll_library_open(char *);
DWORD osdll_library_close(void *);

LONG WINAPI InterlockedExchangeAdd(LPLONG, LONG, LONG);
LONG WINAPI InterlockedDecrement(LPLONG );
LONG WINAPI InterlockedCompareExchange(LPLONG , LONG, LONG );

#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: osdll.h,v $
** Revision 1.1  1999/07/15 17:56:56  jwhite
** Moved files that are not clearly a part of the Win32 API specification
** out of the main include directory into a 'twine' subdirectory.
** This is going to allow us to more readily integrate Wine include files.
**
** Revision 1.6  1999/07/13 20:17:06  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/