/*--------------------------------------------------------------------------
**      virtual.h                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	memory/virtual.h
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/memory/virtual.h,v 1.2 1999/07/13 20:17:09 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

typedef struct _vm_map{
	struct _vm_map *next;		/* next element */

	void 	       *base;		/* where it starts */
	void 	       *limit;		/* next unavailable */
	void	       *range;		/* range this block is in */

	/* these are the WIN32 flags */
	DWORD   	type;		/* type from VirtualAlloc */	
	DWORD 		protect;	/* protect from VirtualAlloc */

	/* these are our internal flags */
	int		flag;		/* our internal flags */
} VM_MAP;

#define PAGEGRAN 	(0x1000*64)

typedef struct {
	VM_MAP *vm_list;
	int     vm_cnt;
	VM_MAP *vm_free;
	VM_MAP *vm_map;
	int     vm_dirty;
} VMINFO;

/*------------------------- < Full Revision History > ----------------------
** $Log: virtual.h,v $
** Revision 1.2  1999/07/13 20:17:09  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/