/*--------------------------------------------------------------------------
**      dos_call.c                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/dos_call.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/dos_call.c,v 1.2 1999/07/08 21:30:37 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "BinTypes.h"
#include "dos.h"
#include "xdosproc.h"
#include "mfs_config.h"
#include "mfs_core.h"

void IVTInit(void);

DWORD
xdoscall(UINT cmd,UINT flag,LPVOID lpvParam1,LPVOID lpvParam2)
{
    ENV	*lp;	

    switch (cmd) {
	case XDOS_INIT:
		IVTInit();
		break;

	case XDOS_GETDOSNAME:
		mfs_config(XMFS_CFG_DOSNAME,0L,(DWORD)lpvParam1,(DWORD)lpvParam2);
		break;

	case XDOS_GETDOSPATH:
		mfs_config(XMFS_CFG_DOSPATH,0L,(DWORD)lpvParam1,(DWORD)lpvParam2);
		break;

	case XDOS_GETALTNAME:
		mfs_config(XMFS_CFG_ALTNAME,0L,(DWORD)lpvParam1,(DWORD)lpvParam2);
		break;

	case XDOS_GETALTPATH:
		mfs_config(XMFS_CFG_ALTPATH,0L,(DWORD)lpvParam1,(DWORD)lpvParam2);
		break;

	case XDOS_INT86:
		lp = (ENV *)lpvParam2;
		INT_handler(flag,lpvParam2);
		break;

	case XDOS_SETHANDLE:
		return mfs_config(XMFS_CFG_NFILES,1L,0L,(DWORD)(LPVOID)flag);

	default:
		return 0L;
    }
    return 0L;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: dos_call.c,v $
** Revision 1.2  1999/07/08 21:30:37  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/