/*--------------------------------------------------------------------------
**      dos_create.c              Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/dos_create.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/dos_create.c,v 1.2 1999/07/08 21:30:37 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <unistd.h> 
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "platform.h"
#include "xdos.h"
#include "dosdefn.h"
#include "xdosproc.h"

DWORD mfs_create(DWORD, DWORD, DWORD, DWORD);
unsigned int 
dos_create (char *filename, unsigned int attribute, unsigned int mode)
{
	unsigned int	fileid = 0;
	unsigned int    pid;
	char        	tmpname[10];
	char        	basename[128];
	static int  	uniqnum = 0;

	if (mode == DOS_CREATE_TMPF) {
		pid = getpid();
		strcpy(basename, filename);
		while ( !fileid ) {
			sprintf(tmpname, "%.2x%.4xXD", uniqnum, pid);
			strcpy(filename, basename);
			strcat(filename, tmpname);
			fileid = mfs_create((DWORD)filename, (DWORD)attribute, (DWORD)mode, 0L );
			if (fileid == (CARRY_FLAG | FILE_EXISTS)) {
				fileid = 0;
				if (++uniqnum > 0xff)
					break;
			}
		}
	}
	else
		fileid = mfs_create((DWORD)filename, (DWORD)attribute, (DWORD)mode, 0L );

	return fileid;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: dos_create.c,v $
** Revision 1.2  1999/07/08 21:30:37  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/