/*--------------------------------------------------------------------------
**      dos_ioctl.c                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/dos_ioctl.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/dos_ioctl.c,v 1.2 1999/07/08 21:30:37 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "dos.h"
#include "mfs_config.h"
#include "Log.h"

void dos_ioctl()
{
	unsigned int info;
	func = envp->reg.ax & 0xff;

	switch (func) {

	case 0x00:		/* get device data */
		LOGSTR((LF_INT86, "INT 21/44/IOCTL: GETDEVINFO handle: %d\n",
			envp->reg.bx));

		result = mfs_config((DWORD)envp->reg.bx, MFS_FINFO, 0L, 0L);
		if(result == -1) {
			envp->reg.ax = result & 0xffff;
			envp->reg.flags = (result & CARRY_FLAG) >> 16;
		} else 
			envp->reg.dx = result & 0xffff;
		break;

	case 0x01:		/* set device data */
		LOGSTR((LF_INT86,"INT 21/44/IOCTL: SETDEVINFO handle: %x\n",
			envp->reg.bx));

		result = mfs_fcntl((DWORD)envp->reg.bx, MFS_SETINFO, 0L, 0L);
		if(result == -1) {
			envp->reg.ax = result & 0xffff;
			envp->reg.flags = (result & CARRY_FLAG) >> 16;
		} else
			envp->reg.dx = result & 0xffff;
		break;

}

/*------------------------- < Full Revision History > ----------------------
** $Log: dos_ioctl.c,v $
** Revision 1.2  1999/07/08 21:30:37  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/