/*--------------------------------------------------------------------------
**      fat_search,c                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1997 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/fat_search.c
**
**  Description: fat filesystem file/directory  search operation
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/fat_search.c,v 1.2 1999/07/08 21:30:38 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "platform.h"

int
DosSearch(int first, char *Path, char *filename, 
	unsigned int *attribute, unsigned long *size)
{
	struct DirEntry Entry;
	long EntryOffset;
	int status;
	char PathCopy[256];
	char *temp;

	DosFlag = 0;
	if (first) {
		strcpy(PathCopy, Path);
		temp = strrchr(PathCopy, '\\');
		temp[1] = 0;
		if (PathCopy[1] == ':')
			temp = &PathCopy[2];
		else
			temp = &PathCopy[0];
		if (strcmp(temp, "\\") == 0) {
			InitDirEnt();
			SaveInfo();
			RootSearch = 1;
		} else if (DosExist(temp, &Entry, &EntryOffset) != -1) {
			if (Entry.Attrib & DIRECTORY) {
				DosCd((char *)&Entry.Name[0], &Entry);
				InitDirEnt();
				SaveInfo();
				RootSearch = 0;
			} else {
				strncpy(filename, (char *)&Entry.Name[0], 8);
				temp = strchr(filename, ' ');
				if (temp)
					*temp = 0;
				filename[8] = 0;
				if (strncmp((char *)&Entry.Name[8], "   ",3) != 0) {
					strcat(filename,".");
					strncat(filename, (char *)&Entry.Name[8], 3);
				} 
				*attribute = Entry.Attrib;
				*size = GetDword((BYTE *)&Entry.Size[0]);
				return (0);
			}
		} else
			return (-1);
	}

	RestoreInfo();
	do {
		if (RootSearch == 1)
			status = GetNextRootDirEnt(&Entry, &EntryOffset);
		else
			status = GetNextDirEnt(&Entry, &EntryOffset);
	} while ((Entry.Name[0] == 0xe5) && (status != -1));

	if ((status == -1) || (Entry.Name[0] == 0x00))
		return (-1);
	strncpy(filename, (char *)&Entry.Name[0], 8);
	temp = strchr(filename, ' ');
	if (temp)
		*temp = 0;
	filename[8] = 0;
	if (strncmp((char *)&Entry.Name[8], "   ",3) != 0) {
		strcat(filename,".");
		strncat(filename, (char *)&Entry.Name[8], 3);
	}
	*attribute = Entry.Attrib;
	*size = GetDword((BYTE *)&Entry.Size[0]);
	SaveInfo();
	return (0);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: fat_search.c,v $
** Revision 1.2  1999/07/08 21:30:38  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/
