/*--------------------------------------------------------------------------
**      mfs_core.h                 Twin           From:  Twin/msdos
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**    Copyright 1995-1996 Willows Software, Inc.  
**------------------------ < File Content Description > --------------------
**
**  Module:	msdos/mfs_core.h
**
**  Description: multiple file system access definitions
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/msdos/mfs_core.h,v 1.2 1999/07/08 21:30:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef mfs_core__h
#define mfs_core__h
/*
**   Utility functions and constants common to both native and FAT
**   filesystems...
*/
int       closefile(LPMFSFILE);
int       freeindex(int);
int       gethandle(void);
LPMFSFILE checkhandle(int, int);
char *    DriveMapping(int);

DWORD mfs_init(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_config(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_stat(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_access(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_open(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_close(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_read(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_write(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_seek(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_flush(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_create(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_delete(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_rename(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_mkdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_chdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_getcwd(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_regexp(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_opendir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_readdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_closedir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_fcntl(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_ioctl(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_findfirst(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_findnext(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_findfile(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_makepath(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_rmdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_touch(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_splitpath(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_makepath(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_finfo(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_copy(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_filedrive(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_diskfree(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD mfs_fileinfo(DWORD p1, DWORD p2, DWORD p3, DWORD p4);

DWORD fat_stat(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_access(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_open(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_close(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_read(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_write(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_seek(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_flush(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_create(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_delete(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_rename(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_mkdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_chdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_getcwd(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_regexp(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_opendir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_readdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_closedir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_fcntl(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_ioctl(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_findfirst(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_findnext(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_findfile(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_rmdir(DWORD p1, DWORD p2, DWORD p3, DWORD p4);
DWORD fat_touch(DWORD p1, DWORD p2, DWORD p3, DWORD p4);


typedef struct {
	char mdir[256];
        DWORD dirp;
} MFSDIRENT;


#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: mfs_core.h,v $
** Revision 1.2  1999/07/08 21:30:39  mwalsh
** Updated to new standard comment header and footer
**
**-------------------------------------------------------------------------*/
