/*--------------------------------------------------------------------------
**      win.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to TWINE-LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/threads/win.c
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/threads/win.c,v 1.3 1999/07/13 20:17:21 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "stdio.h"
#include "stdlib.h"
#include "signal.h"
#include  "strings.h"

long FAR PASCAL WndProc(HWND, WORD, WORD, LONG);
void DrawRects(HWND,HDC);

static char szAppName[] = "RandRect";
HBRUSH	RandBrush[256];
HWND   hParent;
HWND   hChild[2];
DWORD  ThreadId[2];
HANDLE hThread[2];

HANDLE hInstance;
int    state;
int    onoff;

CRITICAL_SECTION	output;

void
DrawRects(HWND hwnd,HDC hdc)
{
	HBRUSH hBrush;
	RECT  rect;
	short  xleft, xright, ytop, ybottom,
		nRed, nGreen, nBlue;
	short  nBrush;

	EnterCriticalSection(&output);

	rect.right = 300;
	rect.bottom = 200;

	nBrush = rand() % 255;

	hBrush = RandBrush[nBrush];

	xleft = rand() % rect.right;
	xright = rand() % rect.right;
	ytop  = rand() % rect.bottom;
	ybottom = rand() % rect.bottom;

	if(hBrush == 0) {
		
		nRed = rand() % 255;
		nGreen = rand () % 255;
		nBlue = rand() % 255;

		hBrush = CreateSolidBrush(RGB(nRed, nGreen, nBlue));

		RandBrush[nBrush] = hBrush;
	}

	SelectObject(hdc, hBrush);
	Rectangle(hdc, min(xleft, xright), min(ytop,ybottom),
			max(xleft, xright), max(ytop, ybottom));
	LeaveCriticalSection(&output);
}

DWORD WINAPI 
ThreadFunc( LPVOID id)
{
	int job = (int) id;
	HDC hdc;

	hdc = GetDC(hChild[job]);
	for(;;) {
		if(job == 0) {
			if(onoff)
			DrawRects(hChild[0],hdc);
		}
		if(job == 1) {
			if(onoff)
			DrawRects(hChild[1],hdc);
		}
	}
	ReleaseDC(hChild[job],hdc);
}

int PASCAL 
WinMain(HANDLE hInst, HANDLE hPrevInstance, LPSTR lpszCmdLine, int nCmdShow)
{
	MSG    msg;
	HBRUSH hBrush;
	WNDCLASS wndclass;
	int n;

	hInstance = hInst;

	InitializeCriticalSection(&output);

        if(!hPrevInstance) {
	  wndclass.style 	= CS_HREDRAW | CS_VREDRAW;
	  wndclass.lpfnWndProc	= (WNDPROC) WndProc;
	  wndclass.cbClsExtra	= 0;
	  wndclass.cbWndExtra	= 0;
	  wndclass.hInstance	= hInstance;
	  wndclass.hIcon	= 0;
	  wndclass.hCursor	= LoadCursor((HINSTANCE)NULL, IDC_ARROW);
	  wndclass.hbrBackground = GetStockObject(WHITE_BRUSH);
	  wndclass.lpszMenuName  = NULL;
	  wndclass.lpszClassName = szAppName;

	  RegisterClass(&wndclass);
	}
	hParent = CreateWindow(szAppName, "Random Rectangles",
			WS_OVERLAPPEDWINDOW,
			20, 20,	
			300, 200,	
			0, 0, hInstance, NULL);
	ShowWindow(hParent, nCmdShow);
	UpdateWindow(hParent);

	SetTimer(hParent,1,1000,0);

	hChild[0]= CreateWindow(szAppName, "Random Rectangles",
		WS_OVERLAPPEDWINDOW,
		340, 240,	
		300, 200,	
		0, 0, hInstance, NULL);

	ShowWindow(hChild[0], nCmdShow);
	UpdateWindow(hChild[0]);

        hThread[0] = CreateThread(0,0,ThreadFunc,(void *)0,0,0);
        printf("create thread...%x\n",hThread[0]);
	
	hChild[1]= CreateWindow(szAppName, "Random Rectangles",
		WS_OVERLAPPEDWINDOW,
		40, 240,	
		300, 200,	
		0, 0, hInstance, NULL);
	
	ShowWindow(hChild[1], nCmdShow);
	UpdateWindow(hChild[1]);

        hThread[1] = CreateThread(0,0,ThreadFunc,(void *)1,0,0);
        printf("create thread...%x\n",hThread[1]);
	
 


/* do something, while waiting for a message */
	n = 0;
	
    	while (GetMessage(&msg, (HWND)NULL, 0, 0)) {
      		TranslateMessage(&msg);
      		DispatchMessage(&msg);
    	}
	
	for(n=0;n<256;n++) {
		hBrush = RandBrush[n];
		if(hBrush) 
			DeleteObject(hBrush);
	}
	return msg.wParam;
}

char * GetTwinMsgCode(HWND ,int );

long FAR PASCAL
WndProc(HWND hwnd, WORD message, WORD wParam, LONG lParam)
{
	int n;
	printf("hwnd=%x msg=%x (%s0 w=%x l=%x\n",
		hwnd,message,GetTwinMsgCode(hwnd,message),
		wParam,lParam);

	switch(message) {
		case WM_LBUTTONDOWN:
			onoff = 1 - onoff;
			printf("onoff = %d\n",onoff);
			//for(n=0;n<100;n++) 
			//	sleep(10);			
			//onoff = 1 - onoff;
			//printf("onoff = %d\n",onoff);
			return 0;

		case WM_RBUTTONDOWN:
			printf("button destroy...\n");
			if(hThread[0])
			TerminateThread(hThread[0],0);
			if(hThread[1])
			TerminateThread(hThread[1],0);
           		PostQuitMessage(0);
			break;

    		case WM_DESTROY:
			printf("destroy %d\n",hwnd);
           		PostQuitMessage(0);
           		break;

		case WM_TIMER:
			printf("timer...\n");
			break;
	}
        return (DefWindowProc(hwnd, message, wParam, lParam));
}

/*------------------------- < Full Revision History > ----------------------
** $Log: win.c,v $
** Revision 1.3  1999/07/13 20:17:21  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/