/*--------------------------------------------------------------------------
**      dispbuff.c                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/dispbuff.c
**
**  Description:.HLP FILE INFO ROUTINES
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/dispbuff.c,v 1.2 1999/07/13 16:39:41 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/



/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <io.h>
#include <string.h>
/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "hlpfile.h"
#include "winmem.h"
#include "msgbox.h"
#include "globals.h"
#include "twhlprc.h"
#include "wnddata.h"





/***********************************

**

**  Private Defines

**

***********************************/



/* |SYSTEM record call-back function. */

typedef BOOL ( CALLBACK * SYSTEMRECPROC )( FPSYSTEMREC fpSysRec, LPARAM lParam );





/***********************************

**

**  Private functions

**

***********************************/





GetDisplayBuffer( void   )

{

  long            FileStart;          /* Beginning position of a WHIFS file. */

  BOOL            bCompressed;        /* Are we using compression? */



  /* Get starting position of |TOPIC file. */

  FileStart = GetWHIFSFileStart( hErrorWnd, (FPWHIFSINFO) &(fpHelpFileInfo)->WHIFSInfo, TOPIC_FILE );

  

  /* File not found. */

  if( FileStart == 0 )

  {

    /* Error message. */

    MsgBox( GetLibInst(), hErrorWnd, IDS_ERRORTITLE, IDS_FINDINTERNALFILE, MB_ICONHAND | MB_OK );

    return FALSE;

  }

  

  bCompressed = GetCompressionStatus( FPSYSTEMINFO fpSystemInfo )



}


/*------------------------- < Full Revision History > ----------------------
** $Log: dispbuff.c,v $
** Revision 1.2  1999/07/13 16:39:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/


