/*--------------------------------------------------------------------------
**      hotspots.h                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/hotspots.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/hotspots.h,v 1.2 1999/07/13 16:39:44 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/


#ifndef HOTSPOTS_H

#define HOTSPOTS_H




/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <windows.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "twinhelp.h"
#include "elements.h"





/***********************************

**

**  Shared Defines

**

***********************************/



typedef HGLOBAL HHOTSPOTBUFFER;





/***********************************

**

**  Shared Function Prototypes

**

***********************************/



HHOTSPOTBUFFER __far __pascal AllocHotSpotBuffer( HWND hWnd );

void  __far __pascal FreeHotSpotBuffer( HHOTSPOTBUFFER hHotSpotBuffer );

BOOL __far __pascal AddHotSpot

( 

  HWND hWnd, 

  HHOTSPOTBUFFER hHotSpotBuffer,

  FPHOTSPOTREC fpHotSpotRec,

  FPPOSRECT fpPosRect 

);

BOOL  __far __pascal IsPointInHotSpot

( 

  HHOTSPOTBUFFER hHotSpotBuffer, 

  POSPOINT PosPoint

);

BOOL  __far __pascal GetHotSpot

( 

  HHOTSPOTBUFFER hHotSpotBuffer,  

  POSPOINT PosPoint, 

  FPHOTSPOTREC fpHotSpotRec,

  FPPOSRECT HotSpotPosRect 

);

void  __far __pascal ClearPagesHotSpots( HHOTSPOTBUFFER hHotSpotBuffer );





#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: hotspots.h,v $
** Revision 1.2  1999/07/13 16:39:44  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/