/*--------------------------------------------------------------------------
**      msgbox.c                 Twin           From:  Twin/programs/twinview/twinhelp
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	programs/twinview/twinhelp/msgbox.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/programs/twinview/twinhelp/msgbox.c,v 1.2 1999/07/13 16:39:44 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "msgbox.h"





/***********************************

**

**  Private Defines

**

***********************************/



#define MAX_CAPTION  100

#define MAX_MESSAGE  200



/***********************************

**

**  Private Function Prototypes

**

***********************************/





/********************************** Public Functions ****************************/



int __far cdecl MsgBox 

( 

  HANDLE hInstance, 

  HWND hWnd, 

  WORD wCaptionID, 

  WORD wMessageID, 

  WORD wType, 

  ...

) 

{

   char szCaption[ MAX_CAPTION ];                /* Caption from the resource file. */

   char szMsgUnfilled[ MAX_MESSAGE ];            /* Message from the resource file. */

   char szMsgFilled[ MAX_MESSAGE ];              /* Filled in message string. */

   void FAR * VarArgList;                        /* Pointe to message string's data. */

   



   /* Get the data for the message string's variables. */

   VarArgList = (WORD FAR *) &wType + 1;   

   

   /* Load the caption string. */

   LoadString( hInstance, wCaptionID, szCaption, sizeof( szCaption ) - 1 );

   

   /* Load the message string. */

   LoadString( hInstance, wMessageID, szMsgUnfilled, sizeof( szMsgUnfilled ) - 1 );

   

   /* Fill the message string's variables with the data passed in. */

   wvsprintf( szMsgFilled, szMsgUnfilled, VarArgList );

   

   /* Show the message. */

   return( MessageBox( hWnd, szMsgFilled, szCaption, wType ) );

}



/*------------------------- < Full Revision History > ----------------------
** $Log: msgbox.c,v $
** Revision 1.2  1999/07/13 16:39:44  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/

