/*--------------------------------------------------------------------------
**      rc.h                 Twin           From:  Twin/tools/rc
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	tools/rc/rc.h
**
**  Description:generic include file for resource compiler
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/tools/rc/rc.h,v 1.3 1999/07/13 20:17:42 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/* When I last checked, this was rc 2.0.1.  It might change on us, though... */
#ifndef RC_VERSION
#define RC_VERSION "2.0.1"
#endif

/* Some systems don't define NULL where they should.  Let's do it here... */
#ifndef NULL
#define NULL ((void *)0)
#endif

extern char tbl_name[];

int yyparse(void);
int zzparse(void);
char *current_file(void);
int current_line(void);
void icompile(void);
void include_init(void);
void init_resource_table(void);
void print_resources(void);
void cleanup_resources(void);

void *get_ext(void);
void *set_ext(void *);

int istrcmp(const char *str1, const char *str2);

int alignval (char *str);

/* Callbacks into system-dependent file (cmdline.c, mac.c, ...) */
char *load_file(char *filename, int lookHere);
void open_files(void);
void update_info(void);
void at_start_of_macro(void);
void at_start_of_file(void);
void at_end_of_file(void);

/* System-provided memory-management functions */
void *get_mem(unsigned size);
void free_mem(void *p);

/* Memory allocation macros */
#define NALLOC(n, s, t) (n) = (t)get_mem(s)
#define CALLOC(n, c, t) NALLOC((n), (c) * sizeof(t), t *)
#define ALLOC(n, t) NALLOC((n), sizeof(t), t *)

/* Macros for printing various types of things */
#define LOG(x) dolog x
#define VPRINT(x) dovprint x
#define CERROR(x) doerror x
#define FATAL(x) dofatal x
#define WARNING(x) dowarning x
#define COUTPUT(x) dooutput x
#define EOUTPUT(x) doeoutput x
#define CPPOUTPUT(x) docppoutput x

void dolog(char *, ...);
void dovprint(char *, ...);
void doerror(char *, ...);
void dofatal(char *, ...);
void dowarning(char *, ...);
void dooutput(char *, ...);
void doeoutput(char *, ...);
void docppoutput(char *, ...);

#ifdef macintosh
char *strdup(const char *p);
int strcasecmp(const char *s1, const char *s2);
#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: rc.h,v $
** Revision 1.3  1999/07/13 20:17:42  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/