/*--------------------------------------------------------------------------
**      restypes.h                 Twin           From:  Twin/tools/rc
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc. 
**------------------------ < File Content Description > --------------------
**
**  Module:	tools/rc/restypes.h
**
**  Description:data structures used internally by resource compiler
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/tools/rc/restypes.h,v 1.2 1999/07/13 20:17:42 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/* MFC 4.x internal resource types */

#ifndef RT_DLGINIT
#define RT_DLGINIT	MAKEINTRESOURCE(240)
#endif	/* RT_DLGINIT */

#ifndef RT_TOOLBAR
#define RT_TOOLBAR	MAKEINTRESOURCE(241)
#endif	/* RT_DLGINIT */

/* All the structures basically the same as defined in Resources.h
 * except for the 'next' pointer. 
 */

typedef struct tagACCEL_NODE {
  ACCELENTRY	data;
  struct	tagACCEL_NODE	*next;
} ACCEL_NODE;


typedef struct tagMENU_NODE {
  MENUDATA data;
  WORD    index; /* used to give names for structures */
  struct  tagMENU_NODE       *next;
  struct  tagMENU_NODE       *child;
} MENU_NODE;


typedef struct tagCONTROL_NODE {
  CONTROLDATA	data;
  struct tagCONTROL_NODE *next;
} CONTROL_NODE;

typedef struct tagDIALOG_NODE {
  DIALOGDATA  data;
  CONTROL_NODE	*controlinfo;
  struct	tagDIALOG_NODE *next;
} DIALOG_NODE;

typedef struct tagCURSORDIR_NODE {
  CURSORDIRENTRY	data;
  struct	tagCURSORDIR_NODE *next;
} CURSORDIR_NODE;

typedef struct tagICONDIR_NODE {
  ICONDIRENTRY	data;
  struct	tagICONDIR_NODE *next;
} ICONDIR_NODE;


typedef struct  tagCURSOR_NODE{
  CURSORIMAGE	data;
  struct	tagCURSOR_NODE *next;
} CURSOR_NODE;


typedef struct  tagBITMAP_NODE{
  BITMAPIMAGE	data;
  struct	tagBITMAP_NODE *next;
} BITMAP_NODE;

typedef struct  tagICON_NODE{
  ICONIMAGE	data;
  struct	tagICON_NODE *next;
} ICON_NODE;

typedef struct tagDLGINIT_NODE {
  DLGINITDATA	data;
  struct	tagDLGINIT_NODE *next;
} DLGINIT_NODE;

typedef struct tagTOOLBAR_NODE {
  TOOLBARDATA	data;
  struct	tagTOOLBAR_NODE *next;
} TOOLBAR_NODE;

typedef	char	*STRING_DATA[16];

typedef	struct	tagNAMEINFO_NODE {
  NAMEINFO	data;
  struct tagNAMEINFO_NODE *next;
} NAMEINFO_NODE;

typedef struct NAMEENTRY_NODE {
  NAMEENTRY	data;
  struct	NAMEENTRY_NODE *next;
} NAMEENTRY_NODE;

extern TYPEINFO *resource_table;

#define	MAX_TYPES	32

extern BYTE *new_ptr;
extern BYTE *new_table;

/* Functions defined in resources.c and not declared in resfunc.h */
STRING_DATA *find_string_segment(int id);

/* Functions defined in util.c */

WORD get_word(BYTE *ptr);
DWORD get_dword(BYTE *ptr);
WORD bit_to_rgb(WORD bitcount);
void pascal_to_asciiz(char *str);
void asciiz_to_pascal(char *str);
MENU_NODE *get_child(MENU_NODE **root);
char *search_namelist_type(WORD res_type);
void incr_res_count(char *typename, NAMEINFO_NODE *info);
void get_bmp_info_header(BITMAPINFOHEADER *bmp_info_header, BYTE *ptr);

/*------------------------- < Full Revision History > ----------------------
** $Log: restypes.h,v $
** Revision 1.2  1999/07/13 20:17:42  mwalsh
** Updated comments to use standard header and footer.
**
**-------------------------------------------------------------------------*/