/*--------------------------------------------------------------------------
**      BinTypes.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/BinTypes.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/BinTypes.h,v 1.2 1999/07/09 21:55:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

#ifndef BinTypes__h
#define BinTypes__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <setjmp.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "kerndef.h"

typedef struct tagSHADOWSELTAB {
	HGLOBAL handle;
	WORD	wIndex;
} SHADOWSELTAB;

#define	CW_USEDEFAULT16	0x8000

typedef DWORD REGISTER;

typedef struct tagREGISTERS
{
	REGISTER ds;
	REGISTER es;
	REGISTER ss;
	REGISTER flags;
	REGISTER ax;
	REGISTER bx;
	REGISTER cx;
	REGISTER dx;
	REGISTER si;
	REGISTER di;
	REGISTER bp;
	REGISTER sp;
	REGISTER cs;
	REGISTER fs;
	REGISTER gs;
} REGISTERS;
typedef REGISTERS *LPREG;

typedef struct tagENV
{
	REGISTERS	reg;
	BINADDR	trans_addr;
	BINADDR	return_addr;
	LPVOID	machine_stack;
	struct  tagENV *prev_env;
	unsigned long active;
	unsigned long is_catch;
	unsigned long level;
	struct HSW_86_CATCHBUF *buf;
	jmp_buf		jump_buffer;
} ENV;

typedef struct tagINITT
  {
    HINSTANCE	hInstance;
    HINSTANCE	hPrevInstance;
    LPSTR	lpCmdLine;
    int		nCmdShow;
    WORD	wStackTop;
    WORD	wStackBottom;
    WORD	wHeapSize;
  } INITT;
typedef INITT *LPINITT;

WORD    InitApp(HINSTANCE);
WORD    WaitEvent(HANDLE);

LRESULT	hsw_common_nat_to_bin(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_common_bin_to_nat(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_listbox_nat_to_bin(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_listbox_bin_to_nat(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_combobox_nat_to_bin(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_combobox_bin_to_nat(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_edit_nat_to_bin(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_edit_bin_to_nat(HWND,UINT,WPARAM,LPARAM);
LRESULT	hsw_commdlg_nat_to_bin(HWND,UINT,WPARAM,LPARAM);
void	hsw_getmessage_nat_to_bin(LPBYTE,LPMSG);
void	hsw_encapsulate_nat_to_bin(LPBYTE,LPMSG);

BOOL CALLBACK	hsw_enumprops(HWND,LPCSTR,HANDLE);
void CALLBACK	hsw_timerproc(HWND,UINT,UINT,DWORD);
void CALLBACK	hsw_mmtimer(UINT,UINT,DWORD,DWORD,DWORD);
BOOL CALLBACK	hsw_wndenumproc(HWND,LPARAM);
BOOL CALLBACK	hsw_graystringproc(HDC,LPARAM,int);
int CALLBACK	hsw_fontenumproc(LOGFONT *,NEWTEXTMETRIC *,int,LPARAM);
BOOL CALLBACK   hsw_abortproc(HDC, int);
void CALLBACK	hsw_lineddaproc(int,int,LPARAM);
int CALLBACK	hsw_enumbrushproc(LOGBRUSH *,LPARAM);
int CALLBACK	hsw_enumpenproc(LOGPEN *,LPARAM);
int CALLBACK	hsw_mfenumproc(HDC,HANDLETABLE *,METARECORD *,int,LPARAM);

DWORD CALLBACK	hsw_hookproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_msgfilterproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_keyboardproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_mouseproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_journrecproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_journplbproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_callwndproc(int,WPARAM,LPARAM);
DWORD CALLBACK	hsw_cbtproc(int,WPARAM,LPARAM);

DWORD CALLBACK  hsw_oleserverrelease(LPARAM);

#undef  LocalAlloc
#undef  LocalLock
#undef  LocalReAlloc
#undef  LocalUnlock
#undef  LocalFree
#undef  LocalSize

#define SP ((LPBYTE)(envp->reg.sp))
#define BP ((LPBYTE)(envp->reg.bp))

#define RECT_TO_86(lp,r) { PUTWORD(lp,(WORD)r.left); \
	PUTWORD(lp+2,(WORD)r.top); \
	PUTWORD(lp+4,(WORD)r.right); \
	PUTWORD(lp+6,(WORD)r.bottom); }

#define RECT_TO_C(r,lp) { r.left = (int)((short)GETWORD(lp)); \
	r.top = (int)((short)GETWORD(lp+2)); \
	r.right = (int)((short)GETWORD(lp+4)); \
	r.bottom = (int)((short)GETWORD(lp+6)); }

#define GetPOINT(p,lp) { p.x = (int)((short)GETWORD(lp)); \
	p.y = (int)((short)GETWORD(lp+2)); }

#define PutPOINT(lp,p) { PUTWORD(lp,(WORD)p.x); \
	PUTWORD(lp+2,(WORD)p.y); }

#define wMustBeZero 0x0000
#define dwOldSSSP   0x0002
#define pLocalHeap  0x0006
#define pAtomTable  0x0008
#define pStackTop   0x000a
#define pStackMin   0x000c
#define pStackBottom    0x000e

#define BITMAPINFOHEADER_SIZE_86  40

#endif /* BinTypes__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: BinTypes.h,v $
** Revision 1.2  1999/07/09 21:55:39  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
