/*--------------------------------------------------------------------------
**      Classes.h                Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Classes.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Classes.h,v 1.2 1999/07/09 21:55:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef Classes__h
#define Classes__h

#define	SYSLOCAL	0
#define	SYSGLOBAL	1
#define	APPLOCAL	2
#define	APPGLOBAL	3

typedef	struct	tagCLASSINFO {
    struct tagCLASSINFO	*lpClassNext;	/* ptr to next class */
    struct tagCLASSINFO	*lpClassPrev;	/* ptr to prev class */
    UINT	wClassType;		/* class type */
    UINT	style;			/* class style */
    WNDPROC	lpfnWndProc;		/* class procedure */
    WNDPROC	lpfnBinToNat;		/* BINTONAT conversion procedure */
    WNDPROC	lpfnNatToBin;		/* NATTOBIN conversion procedure */
    int		cbClsExtra;		/* class extra bytes */
    int		cbWndExtra;		/* window extra bytes */
    HANDLE	hModule;		/* class module instance handle */
    HICON	hIcon;			/* class icon resource handle */
    HCURSOR	hCursor;		/* class cursor resource handle */
    HBRUSH	hbrBackground;		/* class backgr. brush handle */
    HDC		hDC;			/* class DC handle */
    ATOM	atmClassName;		/* class name atom */
    int		nUseCount;		/* Usage count  - private */
    LPSTR	lpMenuName;		/* menu name string */
    LPSTR	lpClsExtra;		/* ptr to class extra bytes */
    HICON	hIconSm;		/* (WIN32) small class icon */
} CLASSINFO;
typedef CLASSINFO	*PCLASSINFO;
typedef CLASSINFO NEAR	*NPCLASSINFO;
typedef CLASSINFO FAR	*LPCLASSINFO;

extern WNDPROC lpfnDefaultNatToBin;
extern WNDPROC lpfnDefaultBinToNat;

LRESULT TrackPopupWndProc(HWND, UINT, WPARAM, LPARAM);
LRESULT IconTitleWndProc(HWND, UINT, WPARAM, LPARAM);

typedef struct tagCLASSDATA {
	WNDCLASSEX	WndClassEx;
	WNDPROC		lpfnNatToBin;
	WNDPROC		lpfnBinToNat;
	UINT		uiIndex;	/* index in the global atom lookup */
} CLASSDATA;
typedef CLASSDATA	*PCLASSDATA;
typedef CLASSDATA NEAR	*NPCLASSDATA;
typedef CLASSDATA FAR	*LPCLASSDATA;

extern ATOM atmGlobalLookup[];
extern CLASSDATA SystemGlobalClasses[];

/* Prototypes for exported routines */
BOOL InitClasses();
HCLASS32 FindClass(LPCSTR, HINSTANCE);
LPSTR GetClassMenuName(HCLASS32);
UINT InternalGetClassName(HCLASS32, LPSTR, int);
void LockClass(HCLASS32, BOOL);
void InternalGetClassInfoEx(HCLASS32, LPWNDCLASSEX);
void TWIN_UnregisterModuleClasses(HMODULE);
BOOL TWIN_InternalUnregisterClass(LPCLASSINFO);

#endif /* Classes__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Classes.h,v $
** Revision 1.2  1999/07/09 21:55:39  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
