/*--------------------------------------------------------------------------
**      Clipboard.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**      
**       MiD   26-SEP-1995   Added HBITMAP field in CLIPTABLE to keep track of bitmaps
**                           as they are copied/pasted to/from the clipboard.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Clipboard.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Clipboard.h,v 1.2 1999/07/09 21:55:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef Clipboard__h
#define Clipboard__h

#define NHANDLES  8

typedef struct tagCLIPENTRY
{
   HANDLE  wFormat;
   int     offset;
   int     length;
   DWORD   atom;
} CLIPENTRY, *LPCLIPENTRY;

typedef struct tagDRVCLIPINFO
{
   DWORD        winOwner;          /* X-window (cast to Window)     */
   DWORD        ClipboardTime;     /* MUST CAST TO (Time) in Driver */
   DWORD        CutBufferTime;     /* MUST CAST TO (Time) in Driver */
} DRVCLIPINFO, *LPDRVCLIPINFO;
 
typedef struct tagCLIPTABLE
{
   HWND         hwndOpen;          /* who opened?                  */
   HWND         hwndOwner;         /* who is the owner?            */
   HBITMAP      hbmpClip;          /* handle of last bitmap, put to the clipboard */
   HWND        *ViewerList;
   int          ViewerCount;
   LPDRVCLIPINFO       lpDrvData;
} CLIPTABLE, *LPCLIPTABLE;

#define GETCOUNT(lp)      GETDWORD(lp)
#define GETFORMAT(lp, i)  GETDWORD(lp + i * sizeof(DWORD))
#define GETLENGTH(lp, i)  GETDWORD(lp + i * sizeof(DWORD) + sizeof(DWORD))

#endif /* Clipboard__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Clipboard.h,v $
** Revision 1.2  1999/07/09 21:55:39  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
