/*--------------------------------------------------------------------------
**      Dialog.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Dialog.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Dialog.h,v 1.2 1999/07/09 21:55:39 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 
#ifndef Dialog__h
#define Dialog__h

/* first 3 longwords are reserved for Windows-defined offsets:
	DWL_MSGRESULT	0
	DWL_DLGPROC	DWL_MSGRESULT+sizeof(LRESULT)
	DWL_USER	DWL_DLGPROC+sizeof(LRESULT)
*/
#define DWL_LPARAM	DWL_USER+sizeof(LRESULT)
#define	DWW_STATUS	DWL_LPARAM+sizeof(LRESULT)
#define DWW_PARENT	DWW_STATUS+sizeof(WORD)
#define DWW_RESULT	DWW_PARENT+sizeof(WORD)
#define DWW_HFONT	DWW_RESULT+sizeof(WORD)
#define DWW_DEFID	DWW_HFONT+sizeof(WORD)

typedef struct {
	LPSTR	lpszCaption;
	LPSTR	lpszText;
	HICON	hIcon;
} SHELLABOUTDATA;

typedef struct {
	void	      *cf_lpStruct;
    	char 	      cf_cwd[256];
	int           cf_state;
} COMMONFILEINFO;

typedef struct {
	LPSTR	text;
	LPSTR	caption;
	RECT	crect;
	DWORD	lParam;
	WORD	flag;
} MESSAGEBOXDATA;

/* prototypes */

HWND InternalCreateDialogIndirectParam(HINSTANCE,const VOID *,HWND,DLGPROC,LPARAM);
int InternalDialog(HWND);

#endif /* Dialog__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Dialog.h,v $
** Revision 1.2  1999/07/09 21:55:39  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
