/*--------------------------------------------------------------------------
**      Endian.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Endian.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Endian.h,v 1.2 1999/07/09 21:55:40 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 
#ifndef Endian__h
#define Endian__h


/* macros to access non-aligned data */
#ifdef	LATER
#define	GETWORD(p) (WORD)(((BYTE *)p)[0]+(((BYTE *)p)[1]*0x100))
#define PUTWORD(p,w) { WORD t = (WORD)w; LPBYTE b = (LPBYTE)p; \
			*(b) = (BYTE)(t % 0x100); \
		       *(b+1) = (BYTE)(t / 0x100); }

#define PUTDWORD(p,dw) { WORD h = HIWORD((DWORD)dw); \
			WORD l = LOWORD((DWORD)dw); \
			LPBYTE b = (LPBYTE)p; \
			*(b++) = (BYTE)(l % 0x100); \
			*(b++) = (BYTE)(l / 0x100); \
			*(b++) = (BYTE)(h % 0x100); \
			*(b++) = (BYTE)(h / 0x100); }
#define GETDWORD(p) ((DWORD)((GETWORD((LPBYTE)(p)+2) * 0x10000) \
			     + GETWORD((LPBYTE)p)))
#else
#define	GETWORD(p) (WORD)(((LPBYTE)(p))[0]+((WORD)(((LPBYTE)(p))[1])<<8))
#define PUTWORD(p,w) { *((LPBYTE)(p)) = (BYTE)((WORD)(w) % 0x100); \
		       *((LPBYTE)(p) + 1) = (BYTE)((WORD)(w)>>8); }

#define PUTDWORD(p,dw) { PUTWORD((LPBYTE)(p),LOWORD((DWORD)(dw))); \
			PUTWORD((LPBYTE)(p)+2,HIWORD((DWORD)(dw))); }
#define GETDWORD(p) ((DWORD)((DWORD)(GETWORD((LPBYTE)(p)+2)<<16) \
			     + GETWORD((LPBYTE)(p))))
#endif

#define	GETSHORT(p)	(short)GETWORD(p)

#endif /* Endian__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Endian.h,v $
** Revision 1.2  1999/07/09 21:55:40  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
