/*--------------------------------------------------------------------------
**      Keyboard.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Keyboard.c
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Keyboard.c,v 1.4 1999/10/25 16:53:23 jsheets Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/
#include <string.h>

/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"
#include "Driver.h"

void WINAPI
GetKeyboardState(BYTE FAR *lpbKeyState)
{
    if (lpbKeyState)
	(void)DRVCALL_KEYBOARD(PKH_KBSTATE,0,0,lpbKeyState);
}
	
void WINAPI
SetKeyboardState(BYTE FAR *lpbKeyState)
{
    if (lpbKeyState)
	(void)DRVCALL_KEYBOARD(PKH_KBSTATE,1,0,lpbKeyState);
}

int WINAPI
GetKeyState(int nVirtKey)
{
    int retcode;

    APISTR((LF_APICALL,"GetKeyState(key=%x)\n", nVirtKey));

    retcode = (int)DRVCALL_KEYBOARD(PKH_KEYSTATE,nVirtKey,0,0);

    APISTR((LF_APIRET,"GetKeyState: returns int %x\n", retcode));

    return retcode;
}

int WINAPI
GetAsyncKeyState(int nVirtKey)
{
    int retcode;
    static UINT AsyncKeyState[256];

    APISTR((LF_APICALL,"GetAsyncKeyState(key=%x)\n", nVirtKey));

    retcode = (int)DRVCALL_KEYBOARD(PKH_KEYSTATE,nVirtKey,1,0);

    if (AsyncKeyState[nVirtKey] == 0 && retcode != 0)
	retcode |= 1;

    AsyncKeyState[nVirtKey] = 1;

    APISTR((LF_APIRET,"GetAsyncKeyState: returns int %x\n", retcode));

    return retcode;
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Keyboard.c,v $
** Revision 1.4  1999/10/25 16:53:23  jsheets
** Cleaned up lots of missing CALL/RET logging pairs
**
** Revision 1.3  1999/09/28 19:34:09  jsheets
** Fixed logging string
**
** Revision 1.2  1999/07/09 21:55:41  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
