/*--------------------------------------------------------------------------
**      Menus.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Menus.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Menus.h,v 1.2 1999/07/09 21:55:42 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/
 
/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef Menus__h
#define Menus__h

#define	CTLCOLOR_MENU	0x0010

/* ChangeItem action bits */
#define	LCA_GET		0x0000
#define	LCA_SET		0x8000
#define	LCA_CONTENTS	0x0001
#define	LCA_CHECKBMP	0x0002
#define	LCA_UNCHECKBMP	0x0004
#define	LCA_LEFTINDENT	0x0008
#define	LCA_RIGHTINDENT	0x0010
#define	LCA_FLAGS	0x0020
#define	LCA_RECT	0x0040
#define	LCA_ITEMID	0x0080
#define	LCA_ITEMCOUNT	0x0100
#define	LCA_FONT	0x0200
#define	LCA_SELECTION	0x0400
#define	LCA_STATE	0x0800

#define	LCA_BITMAPS	(LCA_CHECKBMP | LCA_UNCHECKBMP)
#define	LCA_INDENTS	(LCA_LEFTINDENT | LCA_RIGHTINDENT)
#define	LCA_ALL		(LCA_INDENTS | LCA_BITMAPS | LCA_FLAGS | \
			LCA_CONTENTS | LCA_ITEMID)

#define LBA_CREATE	0
#define LBA_DESTROY	1
#define LBA_MODIFYITEM	2
#define LBA_INSERTITEM	3
#define LBA_APPENDITEM	4
#define LBA_DELETEITEM	5
#define LBA_REMOVEITEM	6
#define LBA_GETDATA	7
#define LBA_SETDATA	8

typedef struct tagMENUITEMSTRUCT
{
    WORD	wPosition;		/* position to insert */
    WORD	wIDNewItem;		/* command ID/menu handle */
    WORD	wAction;		/* action bits for change */
    HBITMAP	hCheckedBmp;		/* checkmark bitmap */
    HBITMAP	hUncheckedBmp;		/* unchecked bitmap */
    WORD	wLeftIndent;		/* left indent */
    WORD	wRightIndent;		/* right indent */
    WORD	wItemFlags;		/* item flags */
    LPSTR	lpItemData;		/* item contents */
} MENUITEMSTRUCT;

typedef MENUITEMSTRUCT *LPMENUITEMSTRUCT;

typedef struct tagMENUCREATESTRUCT
{
    HFONT	hFont;
    DWORD	dwStyle;
    DWORD	dwIndents;
} MENUCREATESTRUCT;

typedef MENUCREATESTRUCT *LPMENUCREATESTRUCT;

typedef struct tagTRACKPOPUPSTRUCT
{
    HMENU	hMenu;
    UINT	uiFlags;
    int		x;
    int		y;
    BOOL	bSystemMenu;
    HWND	hWndOwner;
    RECT	*lprc;
    HWND	hPopups[5];	/* this should be a linked list */
    WORD	wPopupFlags[5];
    int		nPopups;	/* number of popups */
} TRACKPOPUPSTRUCT;

typedef TRACKPOPUPSTRUCT *LPTRACKPOPUPSTRUCT;

#define	TP_STATUS	0
#define	TP_LPTPS	2

#define TP_TRACKPOPUP   0x1000
#define TP_MENUBAR	0x2000

#define	PSF_POPUPACTIVE		0x0001
#define	PSF_POPSELKILLED	0x0002
#define	PSF_BUTTONDOWN		0x0004

/* private menu message */
#define MM_MENUINIT 	WM_USER+1 /* wParam -- selection, lParam = 0 */

#endif /* Menus__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Menus.h,v $
** Revision 1.2  1999/07/09 21:55:42  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
