/*--------------------------------------------------------------------------
**      Objects.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Objects.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Objects.h,v 1.2 1999/07/09 21:55:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

#ifndef Objects__h
#define Objects__h

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
 


static HGDIOBJ StockObjects[] =
  {
    0,                          /* WHITE_BRUSH */
    0,                          /* LTGRAY_BRUSH */
    0,                          /* GRAY_BRUSH */
    0,                          /* DKGRAY_BRUSH */
    0,                          /* BLACK_BRUSH */
    0,                          /* NULL_BRUSH */
    0,                          /* WHITE_PEN */
    0,                          /* BLACK_PEN */
    0,                          /* NULL_PEN */
    0,
    0,                          /* OEM_FIXED_FONT */
    0,                          /* ANSI_FIXED_FONT */
    0,                          /* ANSI_VAR_FONT */
    0,                          /* SYSTEM_FONT */
    0,                          /* DEVICE_DEFAULT_FONT */
    0,                          /* DEFAULT_PALETTE */
    0,                          /* SYSTEM_FIXED_FONT */
    0,
    0,
    0				/* SYSTEM_BITMAP */
  };

/* blue,green,red */
RGBQUAD VGAColors[16]  = {
	{ 0,0,0,0 },			/* black */
	{ 0,0,128,0 },			/* dark red */
	{ 0,128,0,0 },			/* dark green */
	{ 0,128,128,0 },		/* dark yellow */
	{ 128,0,0,0 },			/* dark blue */
	{ 128,0,128,0 },		/* dark magenta */
	{ 128,128,0,0 },		/* dark cyan */
	{ 192,192,192,0 },		/* light gray */
	{ 128,128,128,0 },		/* medium gray */
	{ 0,0,255,0 },			/* red */
	{ 0,255,0,0 },			/* green */
	{ 0,255,255,0 },		/* yellow */
	{ 255,0,0,0 },			/* blue */
	{ 255,0,255,0 },		/* magenta */
	{ 255,255,0,0 },		/* cyan */
	{ 255,255,255,0 },		/* white */
};

static RGBQUAD NiceColors[4]  = {
	{ 192,220,192,0 },		/* money green */
	{ 240,202,166,0 },		/* sky blue */
	{ 240,251,255,0 },		/* cream */
	{ 164,160,160,0 },		/* light gray */
};

#endif /* Objects__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: Objects.h,v $
** Revision 1.2  1999/07/09 21:55:43  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
