/*--------------------------------------------------------------------------
**      PrinterBin.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/PrinterBin.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/PrinterBin.h,v 1.2 1999/07/09 21:55:43 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

 
#ifndef PrinterBin__h
#define PrinterBin__h


/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "print.h"
#include "GdiDDK.h"


#define	SIZEOF_DFONTINFO_BIN		81
#define	SIZEOF_ETM_BIN			52
#define	SIZEOF_EXTTEXTDATA_BIN		18
#define	SIZEOF_APPEXTTEXTDATA_BIN	20
#define	SIZEOF_TEXTXFORM_BIN		19
#define	SIZEOF_DRAWMODE_BIN		32
#define	SIZEOF_BITMAPINFOHEADER_BIN	40
#define	SIZEOF_RGBQUAD_BIN		4


#define	ALIGN4(len)		((sizeof(int) - (len % sizeof(int))) & 0x03)


/* In this sturcture GDI keeps the font realized by printer driver */

typedef struct {
        DFONTINFO       df;		/* The part accessible by GDI.       */
        int             iBinSize;	/* Size of binary part.              */
        BYTE            byBinPart[1];	/* Binary part (ETM, KT, KP,         */
					/* ExtTable, FaceName, DeviceName,...*/
} RFONT;


void   GetDEVMODE(DEVMODE *, LPBYTE);
void   PutDEVMODE(LPBYTE, DEVMODE *);

int    GetRFONT(RFONT *, LPBYTE, int);
void   PutRFONT(LPBYTE, RFONT *);

void   GetGDIINFO(GDIINFO *,LPBYTE);

void   GetTEXTXFORM(TEXTXFORM *, LPBYTE);
void   PutTEXTXFORM(LPBYTE,TEXTXFORM *);

void   PutDRAWMODE(LPBYTE,DRAWMODE *);
WORD   PutBITMAP(LPBYTE, LPBITMAP);
LPBYTE PutBITMAPINFO(LPBITMAPINFO);
void   GetBITMAPINFO(BITMAPINFO *, LPBYTE);

void   GetDFONTINFO(DFONTINFO *, LPBYTE);
int    PutDFONTINFO(LPBYTE, DFONTINFO *);

void   GetETM(EXTTEXTMETRIC *, LPBYTE);
void   PutETM(LPBYTE, EXTTEXTMETRIC *, int);

int    PutEXTTEXTDATA(LPBYTE, WORD, DWORD, int cbRFsize);

void PutPSBITMAP(LPBYTE, LPPSBITMAP);

#endif /* PrinterBin__h */

/*------------------------- < Full Revision History > ----------------------
** $Log: PrinterBin.h,v $
** Revision 1.2  1999/07/09 21:55:43  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
