/*--------------------------------------------------------------------------
**      Profile32.c                   Twine           
**              
**------------------------- < License Information > ------------------------
**
**  
**      This file is released under terms of an LGPL.  Readers of 
**  this file may modify or use this source code so long as they make all
**  modifications publically available.  Please refer to LICENSE 
**  for further details.
**  
**
**      The original Copyright is in 1999, by CodeWeavers, Inc.
**
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/Profile32.c
**	
**  Description:
**		
**
**  Functions defined:
**
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/Profile32.c,v 1.3 1999/09/28 20:46:30 jsheets Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "Log.h"
#include "Strings32.h"

UINT    WINAPI 
GetProfileIntA(LPCSTR section, LPCSTR entry , int rc)
{
	return GetProfileInt(section,entry,rc);
}

UINT    WINAPI 
GetProfileIntW(LPCWSTR section, LPCWSTR entry , int rc)
{
	char   entrystr[80];
	char   sectionstr[80];

	entrystr[0] = 0;
	sectionstr[0] = 0;
	WideCharToMultiByte(0,0,entry,0,entrystr,80,0,0);
	WideCharToMultiByte(0,0,section,0,sectionstr,80,0,0);

	return GetProfileInt(sectionstr,entrystr,rc);
}

int     WINAPI 
GetProfileStringA(LPCSTR section, LPCSTR entry, LPCSTR lpstr, LPSTR buffer, int count)
{
	return GetProfileString(section,entry,lpstr,buffer,count);
}

int     WINAPI 
GetPrivateProfileStringA(LPCSTR section, LPCSTR entry, LPCSTR lpstr, LPSTR buffer, int count,LPSTR lpfile)
{
	return GetPrivateProfileString(section,entry,lpstr,buffer,count,lpfile);
}

int     WINAPI 
GetPrivateProfileStringW(LPCWSTR section, LPCWSTR entry, LPWSTR lpstr, LPWSTR buffer, int count,LPCWSTR lpfile)
{
	char   entrystr[80];
	char   sectionstr[80];
	char   lpfilestr[80];
	char   lpstrstr[80];
	char   resultstr[80];

	entrystr[0] = 0;
	sectionstr[0] = 0;
	lpstrstr[0] = 0;
	lpfilestr[0] = 0;
	WideCharToMultiByte(0,0,entry,0,entrystr,80,0,0);
	WideCharToMultiByte(0,0,section,0,sectionstr,80,0,0);
	WideCharToMultiByte(0,0,lpstr,0,lpstrstr,80,0,0);
	WideCharToMultiByte(0,0,lpfile,0,lpfilestr,80,0,0);
	
	logstr(LF_LOG,"GetPrivateProfileStringW(%s,%s,%s,%d,%s)\n",
		sectionstr,entrystr,lpstrstr,count,lpfilestr);
	if(GetPrivateProfileString(sectionstr,entrystr,lpstrstr,resultstr,
		count,lpfilestr)) {
		lstrcpyAtoW(lpstr,resultstr);		
	}
	return lstrlenW(lpstr);
}

int     WINAPI 
GetProfileStringW(LPCWSTR section, LPCWSTR entry, LPWSTR lpstr, LPWSTR buffer, int count)
{
	return GetPrivateProfileStringW(section,entry,lpstr,buffer,count,0);
}

int     WINAPI
GetPrivateProfileIntA(LPCSTR lpapp,LPCSTR lpkey,int defid,LPCSTR lpfile)
{
	return GetPrivateProfileInt(lpapp,lpkey,defid,lpfile);
}

int     WINAPI
GetPrivateProfileIntW(LPCWSTR lpapp,LPCWSTR lpkey,int defid,LPCWSTR lpfile)
{
	short defstr[80];
	char numstr[80];
	logstr(LF_LOG,"GetPrivateProfileIntW()\n");
	wsprintf(numstr,"%d",defid);	
	lstrcpyAtoW(defstr,numstr);
	GetPrivateProfileStringW(lpapp,lpkey,defstr,(LPWSTR)numstr,80,lpfile);
	
	lstrcpyWtoA((LPSTR)defstr,(LPWSTR)numstr);
	return strtol((LPSTR)defstr,0,0);
}

BOOL    WINAPI
WritePrivateProfileSectionA(LPCSTR lpapp,LPCSTR lpstr,LPCSTR lpfile)
{
	logstr(LF_LOG,"WriteProfileSectionA(%s,%s,%s)\n",
		lpapp,lpstr,lpfile);
	return WritePrivateProfileSection(lpapp,lpstr,lpfile);
}

BOOL    WINAPI
WritePrivateProfileSectionW(LPCWSTR lpapp,LPCWSTR lpstr,LPCWSTR lpfile)
{
	char   entrystr[80];
	char   sectionstr[80];
	char   lpstrstr[80];

	entrystr[0] = 0;
	sectionstr[0] = 0;
	lpstrstr[0] = 0;
	WideCharToMultiByte(0,0,lpapp,0,entrystr,80,0,0);
	WideCharToMultiByte(0,0,lpstr,0,sectionstr,80,0,0);
	WideCharToMultiByte(0,0,lpfile,0,lpstrstr,80,0,0);
	
	logstr(LF_LOG,"WriteProfileSectionW(%s,%s,%s)\n",
		entrystr,sectionstr,lpstrstr);
	return WritePrivateProfileSection(entrystr,sectionstr,lpstrstr);
}
BOOL    WINAPI
WritePrivateProfileStringA(LPCSTR lpapp,LPCSTR lpkey,LPCSTR lpstr,LPCSTR lpFile)
{
	logstr(LF_LOG,"WriteProfileSectionW(%s,%s,%s,%s)\n",
		lpapp,lpkey,lpstr,lpFile);
	return WritePrivateProfileString(lpapp,lpkey,lpstr,lpFile);
}

BOOL     WINAPI
WritePrivateProfileStringW(LPCWSTR lpapp,LPCWSTR lpkey,LPCWSTR lpstr,LPCWSTR lpfile)
{
	char   entrystr[80];
	char   sectionstr[80];
	char   lpstrstr[80];
	char   lpfilestr[80];

	entrystr[0] = 0;
	sectionstr[0] = 0;
	lpstrstr[0] = 0;
	lpfilestr[0] = 0;
	WideCharToMultiByte(0,0,lpapp,0,entrystr,80,0,0);
	WideCharToMultiByte(0,0,lpkey,0,sectionstr,80,0,0);
	WideCharToMultiByte(0,0,lpstr,0,lpstrstr,80,0,0);
	WideCharToMultiByte(0,0,lpfile,0,lpfilestr,80,0,0);
	
	logstr(LF_LOG,"WriteProfileStringA(%s,%s,%s)\n",
		entrystr,sectionstr,lpstrstr);
	return WritePrivateProfileString(entrystr,sectionstr,lpstrstr,lpfilestr);
}

BOOL    WINAPI
WriteProfileSectionA(LPCSTR lpapp,LPCSTR lpstr)
{
	return WritePrivateProfileSection(lpapp,lpstr,0);
}

BOOL    WINAPI
WriteProfileSectionW(LPCWSTR lpapp,LPCWSTR lpstr)
{
	return WritePrivateProfileSectionW(lpapp,lpstr,0);
}

BOOL    WINAPI
WriteProfileStringA(LPCSTR lpapp,LPCSTR lpkey,LPCSTR lpstr)
{
	logstr(LF_LOG,"WriteProfileStringA(%s,%s,%s)\n",
		lpapp,lpkey,lpstr);
	return WritePrivateProfileString(lpapp,lpkey,lpstr,0);
}

BOOL    WINAPI
WriteProfileStringW(LPCWSTR lpapp,LPCWSTR lpkey,LPCWSTR lpstr)
{
	char   entrystr[80];
	char   sectionstr[80];
	char   lpstrstr[80];

	entrystr[0] = 0;
	sectionstr[0] = 0;
	lpstrstr[0] = 0;
	WideCharToMultiByte(0,0,lpapp,0,entrystr,80,0,0);
	WideCharToMultiByte(0,0,lpkey,0,sectionstr,80,0,0);
	WideCharToMultiByte(0,0,lpstr,0,lpstrstr,80,0,0);
	
	logstr(LF_LOG,"WriteProfileStringA(%s,%s,%s)\n",
		entrystr,sectionstr,lpstrstr);
	return WritePrivateProfileString(entrystr,sectionstr,lpstrstr,0);
}

/*------------------------- < Full Revision History > ----------------------
** $Log: Profile32.c,v $
** Revision 1.3  1999/09/28 20:46:30  jsheets
** Added missing WINAPI's and straightened up some logging statements
**
** Revision 1.2  1999/07/09 21:55:44  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
