/*--------------------------------------------------------------------------
**      WBmp.h                  Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/WBmp.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/WBmp.h,v 1.2 1999/07/09 21:55:45 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

#ifndef  _BMP_H
#define  _BMP_H


/* Header signatutes for various resources*/
#define BFT_ICON   0x4349   /* 'IC' */
#define BFT_BITMAP 0x4d42   /* 'BM' */
#define BFT_CURSOR 0x5450   /* 'PT' */

/* This WIDTHBYTES macro determines the number of BYTES per scan line.*/
#define  WIDTHBYTES(i)   ((i+31)/32*4)
#define IS_WIN30_DIB(lpbi)  ((*(LPDWORD)(lpbi)) == sizeof(BITMAPINFOHEADER))

/* flags for _lseek */
#define  SEEK_CUR 1
#define  SEEK_END 2
#define  SEEK_SET 0

/* macro to determine if resource is a DIB */
#define ISDIB(bft) ((bft) == BFT_BITMAP)

#define MAXREAD 32767

HBITMAP      W_IDIBToBitmap(HANDLE hDIB);
WORD         W_IDIBNumColors(LPSTR pv);
HANDLE       W_IReadDibBitmapInfo (int fh);
BOOL         W_IGetDIBInfo(HANDLE hbi, LPBITMAPINFOHEADER lpbi);
HANDLE       ReadDIB (LPSTR szFile);
DWORD PASCAL W_IReadDIBBits(int fh, VOID FAR *pv, DWORD ul);
WORD         W_IPaletteSize(LPSTR lpbi);

HICON 	     
W_IOverDrawIcon 
( 
  HICON				hDstIcon, 
  HICON				hSrcIcon, 
  int				dxOffset, 
  int				dyOffset,
  POINT				*ptNewSize
);


#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: WBmp.h,v $
** Revision 1.2  1999/07/09 21:55:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/

