/*--------------------------------------------------------------------------
**      WinData.h                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/WinData.h
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/WinData.h,v 1.2 1999/07/09 21:55:45 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

/* mask bits for the DRVWINDOWDATA components */
#define	DWD_FRAME	0x0001
#define	DWD_CLIENT	0x0002
#define	DWD_HSCROLL	0x0004
#define	DWD_VSCROLL	0x0008

/* functions for PWSH_SHOWWINDOW */
#define	DSW_HIDE	0x0000
#define	DSW_SHOW	0x0001

/* functions for TWIN_GenerateExpose */
#define EXPOSE_HIDE	0x0001
#define EXPOSE_MOVE	0x0002
#define EXPOSE_SIZE	0x0003
#define EXPOSE_SIZEMOVE	0x0004

typedef struct tagWINCREATESTRUCT
{
    /* this is the common portion */
    LPCSTR	lpszName;
    DWORD	dwStyle;
    DWORD	dwExStyle;
    int		nBorder;
    LPVOID	lpIconXORData;  /* Drv image data for icon XOR bits */
    LPVOID	lpIconANDData;  /* Drv image data for icon AND mask */
    LPVOID	Cursor;		/* Drv cursor data */
    /* this is per component */
    HWND	hWndFrame;
    HWND	hWndClient;
    RECT	rcFrame;
} WINCREATESTRUCT;
typedef WINCREATESTRUCT *LPWINCREATESTRUCT;

/*------------------------- < Full Revision History > ----------------------
** $Log: WinData.h,v $
** Revision 1.2  1999/07/09 21:55:45  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
