
#include "Bin32.h"
#include "gdi32Bin.h"
#include "platform.h"

unsigned long Win32Trap();

MAPTABLE MapTableGDI[] = {
#ifdef TWIN_BIN32

   { /* 0 */ Win32Trap, 0, "" },
   { /* 1 */  IT32_AbortDoc, AbortDoc, "AbortDoc"},
   { /* 2 */  IT32_AbortPath, AbortPath, "AbortPath"},
   { /* 3 */ Win32Trap, 0, "" },
   { /* 4 */ Win32Trap, 0, "" },
   { /* 5 */ Win32Trap, 0, "" },
   { /* 6 */  IT32_AngleArc, AngleArc, "AngleArc"},
   { /* 7 */  IT32_AnimatePalette, AnimatePalette, "AnimatePalette"},
   { /* 8 */  IT32_Arc, Arc, "Arc"},
   { /* 9 */  IT32_ArcTo, ArcTo, "ArcTo"},
   { /* 10 */  IT32_BeginPath, BeginPath, "BeginPath"},
   { /* 11 */  IT32_BitBlt, BitBlt, "BitBlt"},
   { /* 12 */ Win32Trap, 0, "" },
   { /* 13 */ Win32Trap, 0, "" },
   { /* 14 */ Win32Trap, 0, "" },
   { /* 15 */  IT32_Chord, Chord, "Chord"},
   { /* 16 */  IT32_CloseEnhMetaFile, CloseEnhMetaFile, "CloseEnhMetaFile"},
   { /* 17 */  IT32_CloseFigure, CloseFigure, "CloseFigure"},
   { /* 18 */  IT32_CloseMetaFile, CloseMetaFile, "CloseMetaFile"},
   { /* 19 */ Win32Trap, 0, "" },
   { /* 20 */  IT32_CombineRgn, CombineRgn, "CombineRgn"},
   { /* 21 */  IT32_CombineTransform, CombineTransform, "CombineTransform"},
   { /* 22 */ Win32Trap, 0, "" },
   { /* 23 */ Win32Trap, 0, "" },
   { /* 24 */ Win32Trap, 0, "" },
   { /* 25 */ Win32Trap, 0, "" },
   { /* 26 */  IT32_CreateBitmap, CreateBitmap, "CreateBitmap"},
   { /* 27 */  IT32_CreateBitmapIndirect, CreateBitmapIndirect, "CreateBitmapIndirect"},
   { /* 28 */  IT32_CreateBrushIndirect, CreateBrushIndirect, "CreateBrushIndirect"},
   { /* 29 */ Win32Trap, 0, "" },
   { /* 30 */ Win32Trap, 0, "" },
   { /* 31 */  IT32_CreateCompatibleBitmap, CreateCompatibleBitmap, "CreateCompatibleBitmap"},
   { /* 32 */  IT32_CreateCompatibleDC, CreateCompatibleDC, "CreateCompatibleDC"},
   { /* 33 */  IT32_CreateDCA, CreateDCA, "CreateDCA"},
   { /* 34 */ Win32Trap, 0, "" },
   { /* 35 */  IT32_CreateDIBPatternBrush, CreateDIBPatternBrush, "CreateDIBPatternBrush"},
   { /* 36 */  IT32_CreateDIBPatternBrushPt, CreateDIBPatternBrushPt, "CreateDIBPatternBrushPt"},
   { /* 37 */  IT32_CreateDIBSection, CreateDIBSection, "CreateDIBSection"},
   { /* 38 */  IT32_CreateDIBitmap, CreateDIBitmap, "CreateDIBitmap"},
   { /* 39 */  IT32_CreateDiscardableBitmap, CreateDiscardableBitmap, "CreateDiscardableBitmap"},
   { /* 40 */  IT32_CreateEllipticRgn, CreateEllipticRgn, "CreateEllipticRgn"},
   { /* 41 */  IT32_CreateEllipticRgnIndirect, CreateEllipticRgnIndirect, "CreateEllipticRgnIndirect"},
   { /* 42 */ Win32Trap, 0, "" },
   { /* 43 */ Win32Trap, 0, "" },
   { /* 44 */  IT32_CreateFontA, CreateFont, "CreateFontA"},
   { /* 45 */  IT32_CreateFontIndirectA, CreateFontIndirect, "CreateFontIndirectA"},
   { /* 46 */  IT32_CreateFontIndirectW, CreateFontIndirectW, "CreateFontIndirectW"},
   { /* 47 */  IT32_CreateFontW, CreateFontW, "CreateFontW"},
   { /* 48 */  IT32_CreateHalftonePalette, CreateHalftonePalette, "CreateHalftonePalette"},
   { /* 49 */  IT32_CreateHatchBrush, CreateHatchBrush, "CreateHatchBrush"},
   { /* 50 */ Win32Trap, 0, "" },
   { /* 51 */ Win32Trap, 0, "" },
   { /* 52 */  IT32_CreateMetaFileA, CreateMetaFile, "CreateMetaFileA"},
   { /* 53 */ Win32Trap, 0, "" },
   { /* 54 */  IT32_CreatePalette, CreatePalette, "CreatePalette"},
   { /* 55 */  IT32_CreatePatternBrush, CreatePatternBrush, "CreatePatternBrush"},
   { /* 56 */  IT32_CreatePen, CreatePen, "CreatePen"},
   { /* 57 */  IT32_CreatePenIndirect, CreatePenIndirect, "CreatePenIndirect"},
   { /* 58 */  IT32_CreatePolyPolygonRgn, CreatePolyPolygonRgn, "CreatePolyPolygonRgn"},
   { /* 59 */  IT32_CreatePolygonRgn, CreatePolygonRgn, "CreatePolygonRgn"},
   { /* 60 */  IT32_CreateRectRgn, CreateRectRgn, "CreateRectRgn"},
   { /* 61 */  IT32_CreateRectRgnIndirect, CreateRectRgnIndirect, "CreateRectRgnIndirect"},
   { /* 62 */  IT32_CreateRoundRectRgn, CreateRoundRectRgn, "CreateRoundRectRgn"},
   { /* 63 */ Win32Trap, 0, "" },
   { /* 64 */ Win32Trap, 0, "" },
   { /* 65 */  IT32_CreateSolidBrush, CreateSolidBrush, "CreateSolidBrush"},
   { /* 66 */  IT32_DPtoLP, DPtoLP, "DPtoLP"},
   { /* 67 */ Win32Trap, 0, "" },
   { /* 68 */  IT32_DeleteDC, DeleteDC, "DeleteDC"},
   { /* 69 */ Win32Trap, 0, "" },
   { /* 70 */  IT32_DeleteMetaFile, DeleteMetaFile, "DeleteMetaFile"},
   { /* 71 */  IT32_DeleteObject, DeleteObject, "DeleteObject"},
   { /* 72 */ Win32Trap, 0, "" },
   { /* 73 */ Win32Trap, 0, "" },
   { /* 74 */ Win32Trap, 0, "" },
   { /* 75 */  IT32_DrawEscape, DrawEscape, "DrawEscape"},
   { /* 76 */  IT32_Ellipse, Ellipse, "Ellipse"},
   { /* 77 */  IT32_EndDoc, EndDoc, "EndDoc"},
   { /* 78 */  IT32_EndPage, EndPage, "EndPage"},
   { /* 79 */  IT32_EndPath, EndPath, "EndPath"},
   { /* 80 */ Win32Trap, 0, "" },
   { /* 81 */  IT32_EnumFontFamiliesA, EnumFontFamilies, "EnumFontFamiliesA"},
   { /* 82 */  IT32_EnumFontFamiliesExA, EnumFontFamiliesEx, "EnumFontFamiliesExA"},
   { /* 83 */ Win32Trap, 0, "" },
   { /* 84 */ Win32Trap, 0, "" },
   { /* 85 */  IT32_EnumFontsA, EnumFonts, "EnumFontsA"},
   { /* 86 */ Win32Trap, 0, "" },
   { /* 87 */ Win32Trap, 0, "" },
   { /* 88 */ Win32Trap, 0, "" },
   { /* 89 */  IT32_EnumMetaFile, EnumMetaFile, "EnumMetaFile"},
   { /* 90 */  IT32_EnumObjects, EnumObjects, "EnumObjects"},
   { /* 91 */  IT32_EqualRgn, EqualRgn, "EqualRgn"},
   { /* 92 */  IT32_Escape, Escape, "Escape"},
   { /* 93 */  IT32_ExcludeClipRect, ExcludeClipRect, "ExcludeClipRect"},
   { /* 94 */  IT32_ExtCreatePen, ExtCreatePen, "ExtCreatePen"},
   { /* 95 */  IT32_ExtCreateRegion, ExtCreateRegion, "ExtCreateRegion"},
   { /* 96 */  IT32_ExtEscape, ExtEscape, "ExtEscape"},
   { /* 97 */  IT32_ExtFloodFill, ExtFloodFill, "ExtFloodFill"},
   { /* 98 */  IT32_ExtSelectClipRgn, ExtSelectClipRgn, "ExtSelectClipRgn"},
   { /* 99 */  IT32_ExtTextOutA, ExtTextOut, "ExtTextOutA"},
   { /* 100 */  IT32_ExtTextOutW, ExtTextOutW, "ExtTextOutW"},
   { /* 101 */  IT32_FillPath, FillPath, "FillPath"},
   { /* 102 */  IT32_FillRgn, FillRgn, "FillRgn"},
   { /* 103 */  IT32_FixBrushOrgEx, FixBrushOrgEx, "FixBrushOrgEx"},
   { /* 104 */  IT32_FlattenPath, FlattenPath, "FlattenPath"},
   { /* 105 */  IT32_FloodFill, FloodFill, "FloodFill"},
   { /* 106 */  IT32_FrameRgn, FrameRgn, "FrameRgn"},
   { /* 107 */ Win32Trap, 0, "" },
   { /* 108 */ Win32Trap, 0, "" },
   { /* 109 */ Win32Trap, 0, "" },
   { /* 110 */ Win32Trap, 0, "" },
   { /* 111 */  IT32_GdiComment, GdiComment, "GdiComment"},
   { /* 112 */ Win32Trap, 0, "" },
   { /* 113 */ Win32Trap, 0, "" },
   { /* 114 */ Win32Trap, 0, "" },
   { /* 115 */ Win32Trap, 0, "" },
   { /* 116 */ Win32Trap, 0, "" },
   { /* 117 */ Win32Trap, 0, "" },
   { /* 118 */ Win32Trap, 0, "" },
   { /* 119 */ Win32Trap, 0, "" },
   { /* 120 */ Win32Trap, 0, "" },
   { /* 121 */ Win32Trap, 0, "" },
   { /* 122 */ Win32Trap, 0, "" },
   { /* 123 */ Win32Trap, 0, "" },
   { /* 124 */ Win32Trap, 0, "" },
   { /* 125 */ Win32Trap, 0, "" },
   { /* 126 */ Win32Trap, 0, "" },
   { /* 127 */ Win32Trap, 0, "" },
   { /* 128 */ Win32Trap, 0, "" },
   { /* 129 */ Win32Trap, 0, "" },
   { /* 130 */ Win32Trap, 0, "" },
   { /* 131 */ Win32Trap, 0, "" },
   { /* 132 */ Win32Trap, 0, "" },
   { /* 133 */ Win32Trap, 0, "" },
   { /* 134 */ Win32Trap, 0, "" },
   { /* 135 */ Win32Trap, 0, "" },
   { /* 136 */ Win32Trap, 0, "" },
   { /* 137 */ Win32Trap, 0, "" },
   { /* 138 */ Win32Trap, 0, "" },
   { /* 139 */ Win32Trap, 0, "" },
   { /* 140 */ Win32Trap, 0, "" },
   { /* 141 */ Win32Trap, 0, "" },
   { /* 142 */ Win32Trap, 0, "" },
   { /* 143 */ Win32Trap, 0, "" },
   { /* 144 */  IT32_GdiFlush, GdiFlush, "GdiFlush"},
   { /* 145 */ Win32Trap, 0, "" },
   { /* 146 */ Win32Trap, 0, "" },
   { /* 147 */ Win32Trap, 0, "" },
   { /* 148 */ Win32Trap, 0, "" },
   { /* 149 */ Win32Trap, 0, "" },
   { /* 150 */ Win32Trap, 0, "" },
   { /* 151 */ Win32Trap, 0, "" },
   { /* 152 */ Win32Trap, 0, "" },
   { /* 153 */ Win32Trap, 0, "" },
   { /* 154 */ Win32Trap, 0, "" },
   { /* 155 */ Win32Trap, 0, "" },
   { /* 156 */ Win32Trap, 0, "" },
   { /* 157 */ Win32Trap, 0, "" },
   { /* 158 */ Win32Trap, 0, "" },
   { /* 159 */ Win32Trap, 0, "" },
   { /* 160 */ Win32Trap, 0, "" },
   { /* 161 */ Win32Trap, 0, "" },
   { /* 162 */ Win32Trap, 0, "" },
   { /* 163 */ Win32Trap, 0, "" },
   { /* 164 */ Win32Trap, 0, "" },
   { /* 165 */ Win32Trap, 0, "" },
   { /* 166 */ Win32Trap, 0, "" },
   { /* 167 */ Win32Trap, 0, "" },
   { /* 168 */ Win32Trap, 0, "" },
   { /* 169 */ Win32Trap, 0, "" },
   { /* 170 */  IT32_GetArcDirection, GetArcDirection, "GetArcDirection"},
   { /* 171 */  IT32_GetAspectRatioFilterEx, GetAspectRatioFilterEx, "GetAspectRatioFilterEx"},
   { /* 172 */  IT32_GetBitmapBits, GetBitmapBits, "GetBitmapBits"},
   { /* 173 */  IT32_GetBitmapDimensionEx, GetBitmapDimensionEx, "GetBitmapDimensionEx"},
   { /* 174 */  IT32_GetBkColor, GetBkColor, "GetBkColor"},
   { /* 175 */  IT32_GetBkMode, GetBkMode, "GetBkMode"},
   { /* 176 */  IT32_GetBoundsRect, GetBoundsRect, "GetBoundsRect"},
   { /* 177 */  IT32_GetBrushOrgEx, GetBrushOrgEx, "GetBrushOrgEx"},
   { /* 178 */ Win32Trap, 0, "" },
   { /* 179 */ Win32Trap, 0, "" },
   { /* 180 */ Win32Trap, 0, "" },
   { /* 181 */ Win32Trap, 0, "" },
   { /* 182 */ Win32Trap, 0, "" },
   { /* 183 */ Win32Trap, 0, "" },
   { /* 184 */ Win32Trap, 0, "" },
   { /* 185 */ Win32Trap, 0, "" },
   { /* 186 */ Win32Trap, 0, "" },
   { /* 187 */ Win32Trap, 0, "" },
   { /* 188 */ Win32Trap, 0, "" },
   { /* 189 */ Win32Trap, 0, "" },
   { /* 190 */ Win32Trap, 0, "" },
   { /* 191 */  IT32_GetClipBox, GetClipBox, "GetClipBox"},
   { /* 192 */  IT32_GetClipRgn, GetClipRgn, "GetClipRgn"},
   { /* 193 */  IT32_GetColorAdjustment, GetColorAdjustment, "GetColorAdjustment"},
   { /* 194 */ Win32Trap, 0, "" },
   { /* 195 */  IT32_GetCurrentObject, GetCurrentObject, "GetCurrentObject"},
   { /* 196 */  IT32_GetCurrentPositionEx, GetCurrentPositionEx, "GetCurrentPositionEx"},
   { /* 197 */  IT32_GetDCOrgEx, GetDCOrgEx, "GetDCOrgEx"},
   { /* 198 */  IT32_GetDIBColorTable, GetDIBColorTable, "GetDIBColorTable"},
   { /* 199 */  IT32_GetDIBits, GetDIBits, "GetDIBits"},
   { /* 200 */  IT32_GetDeviceCaps, GetDeviceCaps, "GetDeviceCaps"},
   { /* 201 */ Win32Trap, 0, "" },
   { /* 202 */ Win32Trap, 0, "" },
   { /* 203 */ Win32Trap, 0, "" },
   { /* 204 */ Win32Trap, 0, "" },
   { /* 205 */ Win32Trap, 0, "" },
   { /* 206 */ Win32Trap, 0, "" },
   { /* 207 */ Win32Trap, 0, "" },
   { /* 208 */ Win32Trap, 0, "" },
   { /* 209 */ Win32Trap, 0, "" },
   { /* 210 */ Win32Trap, 0, "" },
   { /* 211 */  IT32_GetFontData, GetFontData, "GetFontData"},
   { /* 212 */ Win32Trap, 0, "" },
   { /* 213 */ Win32Trap, 0, "" },
   { /* 214 */  IT32_GetGlyphOutline, GetGlyphOutline, "GetGlyphOutline"},
   { /* 215 */  IT32_GetGlyphOutlineA, GetGlyphOutline, "GetGlyphOutlineA"},
   { /* 216 */ Win32Trap, 0, "" },
   { /* 217 */ Win32Trap, 0, "" },
   { /* 218 */  IT32_GetGraphicsMode, GetGraphicsMode, "GetGraphicsMode"},
   { /* 219 */ Win32Trap, 0, "" },
   { /* 220 */ Win32Trap, 0, "" },
   { /* 221 */ Win32Trap, 0, "" },
   { /* 222 */  IT32_GetKerningPairs, GetKerningPairs, "GetKerningPairs"},
   { /* 223 */ Win32Trap, 0, "" },
   { /* 224 */ Win32Trap, 0, "" },
   { /* 225 */ Win32Trap, 0, "" },
   { /* 226 */ Win32Trap, 0, "" },
   { /* 227 */  IT32_GetMapMode, GetMapMode, "GetMapMode"},
   { /* 228 */ Win32Trap, 0, "" },
   { /* 229 */  IT32_GetMetaFileBitsEx, GetMetaFileBitsEx, "GetMetaFileBitsEx"},
   { /* 230 */ Win32Trap, 0, "" },
   { /* 231 */ Win32Trap, 0, "" },
   { /* 232 */  IT32_GetMiterLimit, GetMiterLimit, "GetMiterLimit"},
   { /* 233 */  IT32_GetNearestColor, GetNearestColor, "GetNearestColor"},
   { /* 234 */  IT32_GetNearestPaletteIndex, GetNearestPaletteIndex, "GetNearestPaletteIndex"},
   { /* 235 */  IT32_GetObjectA, GetObject, "GetObjectA"},
   { /* 236 */  IT32_GetObjectType, GetObjectType, "GetObjectType"},
   { /* 237 */  IT32_GetObjectW, GetObjectW, "GetObjectW"},
   { /* 238 */ Win32Trap, 0, "" },
   { /* 239 */ Win32Trap, 0, "" },
   { /* 240 */  IT32_GetPaletteEntries, GetPaletteEntries, "GetPaletteEntries"},
   { /* 241 */  IT32_GetPath, GetPath, "GetPath"},
   { /* 242 */  IT32_GetPixel, GetPixel, "GetPixel"},
   { /* 243 */ Win32Trap, 0, "" },
   { /* 244 */  IT32_GetPolyFillMode, GetPolyFillMode, "GetPolyFillMode"},
   { /* 245 */  IT32_GetROP2, GetROP2, "GetROP2"},
   { /* 246 */ Win32Trap, 0, "" },
   { /* 247 */  IT32_GetRasterizerCaps, GetRasterizerCaps, "GetRasterizerCaps"},
   { /* 248 */  IT32_GetRegionData, GetRegionData, "GetRegionData"},
   { /* 249 */  IT32_GetRelAbs, GetRelAbs, "GetRelAbs"},
   { /* 250 */  IT32_GetRgnBox, GetRgnBox, "GetRgnBox"},
   { /* 251 */  IT32_GetStockObject, GetStockObject, "GetStockObject"},
   { /* 252 */  IT32_GetStretchBltMode, GetStretchBltMode, "GetStretchBltMode"},
   { /* 253 */  IT32_GetSystemPaletteEntries, GetSystemPaletteEntries, "GetSystemPaletteEntries"},
   { /* 254 */  IT32_GetSystemPaletteUse, GetSystemPaletteUse, "GetSystemPaletteUse"},
   { /* 255 */  IT32_GetTextAlign, GetTextAlign, "GetTextAlign"},
   { /* 256 */  IT32_GetTextCharacterExtra, GetTextCharacterExtra, "GetTextCharacterExtra"},
   { /* 257 */ Win32Trap, 0, "" },
   { /* 258 */ Win32Trap, 0, "" },
   { /* 259 */  IT32_GetTextColor, GetTextColor, "GetTextColor"},
   { /* 260 */  IT32_GetTextExtentExPointA, GetTextExtentExPoint, "GetTextExtentExPointA"},
   { /* 261 */  IT32_GetTextExtentExPointW, GetTextExtentExPointW, "GetTextExtentExPointW"},
   { /* 262 */  IT32_GetTextExtentPoint32A, GetTextExtentPoint, "GetTextExtentPoint32A"},
   { /* 263 */  IT32_GetTextExtentPoint32W, GetTextExtentPointW, "GetTextExtentPoint32W"},
   { /* 264 */  IT32_GetTextExtentPointA, GetTextExtentPoint, "GetTextExtentPointA"},
   { /* 265 */  IT32_GetTextExtentPointW, GetTextExtentPointW, "GetTextExtentPointW"},
   { /* 266 */  IT32_GetTextFaceA, GetTextFace, "GetTextFaceA"},
   { /* 267 */ Win32Trap, 0, "" },
   { /* 268 */  IT32_GetTextMetricsA, GetTextMetrics, "GetTextMetricsA"},
   { /* 269 */  IT32_GetTextMetricsW, GetTextMetricsW, "GetTextMetricsW"},
   { /* 270 */ Win32Trap, 0, "" },
   { /* 271 */  IT32_GetViewportExtEx, GetViewportExtEx, "GetViewportExtEx"},
   { /* 272 */  IT32_GetViewportOrgEx, GetViewportOrgEx, "GetViewportOrgEx"},
   { /* 273 */ Win32Trap, 0, "" },
   { /* 274 */  IT32_GetWindowExtEx, GetWindowExtEx, "GetWindowExtEx"},
   { /* 275 */  IT32_GetWindowOrgEx, GetWindowOrgEx, "GetWindowOrgEx"},
   { /* 276 */  IT32_GetWorldTransform, GetWorldTransform, "GetWorldTransform"},
   { /* 277 */  IT32_IntersectClipRect, IntersectClipRect, "IntersectClipRect"},
   { /* 278 */  IT32_InvertRgn, InvertRgn, "InvertRgn"},
   { /* 279 */  IT32_LPtoDP, LPtoDP, "LPtoDP"},
   { /* 280 */  IT32_LineDDA, LineDDA, "LineDDA"},
   { /* 281 */  IT32_LineTo, LineTo, "LineTo"},
   { /* 282 */  IT32_MaskBlt, MaskBlt, "MaskBlt"},
   { /* 283 */  IT32_ModifyWorldTransform, ModifyWorldTransform, "ModifyWorldTransform"},
   { /* 284 */  IT32_MoveToEx, MoveToEx, "MoveToEx"},
   { /* 285 */ Win32Trap, 0, "" },
   { /* 286 */  IT32_OffsetClipRgn, OffsetClipRgn, "OffsetClipRgn"},
   { /* 287 */  IT32_OffsetRgn, OffsetRgn, "OffsetRgn"},
   { /* 288 */  IT32_OffsetViewportOrgEx, OffsetViewportOrgEx, "OffsetViewportOrgEx"},
   { /* 289 */  IT32_OffsetWindowOrgEx, OffsetWindowOrgEx, "OffsetWindowOrgEx"},
   { /* 290 */  IT32_PaintRgn, PaintRgn, "PaintRgn"},
   { /* 291 */  IT32_PatBlt, PatBlt, "PatBlt"},
   { /* 292 */  IT32_PathToRegion, PathToRegion, "PathToRegion"},
   { /* 293 */  IT32_Pie, Pie, "Pie"},
   { /* 294 */  IT32_PlayEnhMetaFile, PlayEnhMetaFile, "PlayEnhMetaFile"},
   { /* 295 */  IT32_PlayEnhMetaFileRecord, PlayEnhMetaFileRecord, "PlayEnhMetaFileRecord"},
   { /* 296 */  IT32_PlayMetaFile, PlayMetaFile, "PlayMetaFile"},
   { /* 297 */  IT32_PlayMetaFileRecord, PlayMetaFileRecord, "PlayMetaFileRecord"},
   { /* 298 */  IT32_PlgBlt, PlgBlt, "PlgBlt"},
   { /* 299 */  IT32_PolyBezier, PolyBezier, "PolyBezier"},
   { /* 300 */  IT32_PolyBezierTo, PolyBezierTo, "PolyBezierTo"},
   { /* 301 */  IT32_PolyDraw, PolyDraw, "PolyDraw"},
   { /* 302 */ Win32Trap, 0, "" },
   { /* 303 */  IT32_PolyPolygon, PolyPolygon, "PolyPolygon"},
   { /* 304 */  IT32_PolyPolyline, PolyPolyline, "PolyPolyline"},
   { /* 305 */ Win32Trap, 0, "" },
   { /* 306 */ Win32Trap, 0, "" },
   { /* 307 */  IT32_Polygon, Polygon, "Polygon"},
   { /* 308 */  IT32_Polyline, Polyline, "Polyline"},
   { /* 309 */  IT32_PolylineTo, PolylineTo, "PolylineTo"},
   { /* 310 */  IT32_PtInRegion, PtInRegion, "PtInRegion"},
   { /* 311 */  IT32_PtVisible, PtVisible, "PtVisible"},
   { /* 312 */  IT32_RealizePalette, RealizePalette, "RealizePalette"},
   { /* 313 */  IT32_RectInRegion, RectInRegion, "RectInRegion"},
   { /* 314 */  IT32_RectVisible, RectVisible, "RectVisible"},
   { /* 315 */  IT32_Rectangle, Rectangle, "Rectangle"},
   { /* 316 */ Win32Trap, 0, "" },
   { /* 317 */ Win32Trap, 0, "" },
   { /* 318 */ Win32Trap, 0, "" },
   { /* 319 */ Win32Trap, 0, "" },
   { /* 320 */ Win32Trap, 0, "" },
   { /* 321 */  IT32_ResizePalette, ResizePalette, "ResizePalette"},
   { /* 322 */  IT32_RestoreDC, RestoreDC, "RestoreDC"},
   { /* 323 */  IT32_RoundRect, RoundRect, "RoundRect"},
   { /* 324 */  IT32_SaveDC, SaveDC, "SaveDC"},
   { /* 325 */  IT32_ScaleViewportExtEx, ScaleViewportExtEx, "ScaleViewportExtEx"},
   { /* 326 */  IT32_ScaleWindowExtEx, ScaleWindowExtEx, "ScaleWindowExtEx"},
   { /* 327 */ Win32Trap, 0, "" },
   { /* 328 */  IT32_SelectClipPath, SelectClipPath, "SelectClipPath"},
   { /* 329 */  IT32_SelectClipRgn, SelectClipRgn, "SelectClipRgn"},
   { /* 330 */ Win32Trap, 0, "" },
   { /* 331 */  IT32_SelectObject, SelectObject, "SelectObject"},
   { /* 332 */  IT32_SelectPalette, SelectPalette, "SelectPalette"},
   { /* 333 */  IT32_SetAbortProc, SetAbortProc, "SetAbortProc"},
   { /* 334 */  IT32_SetArcDirection, SetArcDirection, "SetArcDirection"},
   { /* 335 */  IT32_SetBitmapBits, SetBitmapBits, "SetBitmapBits"},
   { /* 336 */  IT32_SetBitmapDimensionEx, SetBitmapDimensionEx, "SetBitmapDimensionEx"},
   { /* 337 */  IT32_SetBkColor, SetBkColor, "SetBkColor"},
   { /* 338 */  IT32_SetBkMode, SetBkMode, "SetBkMode"},
   { /* 339 */  IT32_SetBoundsRect, SetBoundsRect, "SetBoundsRect"},
   { /* 340 */  IT32_SetBrushOrgEx, SetBrushOrgEx, "SetBrushOrgEx"},
   { /* 341 */  IT32_SetColorAdjustment, SetColorAdjustment, "SetColorAdjustment"},
   { /* 342 */ Win32Trap, 0, "" },
   { /* 343 */  IT32_SetDIBColorTable, SetDIBColorTable, "SetDIBColorTable"},
   { /* 344 */  IT32_SetDIBits, SetDIBits, "SetDIBits"},
   { /* 345 */  IT32_SetDIBitsToDevice, SetDIBitsToDevice, "SetDIBitsToDevice"},
   { /* 346 */ Win32Trap, 0, "" },
   { /* 347 */ Win32Trap, 0, "" },
   { /* 348 */ Win32Trap, 0, "" },
   { /* 349 */  IT32_SetGraphicsMode, SetGraphicsMode, "SetGraphicsMode"},
   { /* 350 */ Win32Trap, 0, "" },
   { /* 351 */ Win32Trap, 0, "" },
   { /* 352 */ Win32Trap, 0, "" },
   { /* 353 */ Win32Trap, 0, "" },
   { /* 354 */  IT32_SetMapMode, SetMapMode, "SetMapMode"},
   { /* 355 */  IT32_SetMapperFlags, SetMapperFlags, "SetMapperFlags"},
   { /* 356 */  IT32_SetMetaFileBitsEx, SetMetaFileBitsEx, "SetMetaFileBitsEx"},
   { /* 357 */ Win32Trap, 0, "" },
   { /* 358 */  IT32_SetMiterLimit, SetMiterLimit, "SetMiterLimit"},
   { /* 359 */  IT32_SetPaletteEntries, SetPaletteEntries, "SetPaletteEntries"},
   { /* 360 */  IT32_SetPixel, SetPixel, "SetPixel"},
   { /* 361 */ Win32Trap, 0, "" },
   { /* 362 */  IT32_SetPixelV, SetPixelV, "SetPixelV"},
   { /* 363 */  IT32_SetPolyFillMode, SetPolyFillMode, "SetPolyFillMode"},
   { /* 364 */  IT32_SetROP2, SetROP2, "SetROP2"},
   { /* 365 */  IT32_SetRectRgn, SetRectRgn, "SetRectRgn"},
   { /* 366 */  IT32_SetRelAbs, SetRelAbs, "SetRelAbs"},
   { /* 367 */  IT32_SetStretchBltMode, SetStretchBltMode, "SetStretchBltMode"},
   { /* 368 */  IT32_SetSystemPaletteUse, SetSystemPaletteUse, "SetSystemPaletteUse"},
   { /* 369 */  IT32_SetTextAlign, SetTextAlign, "SetTextAlign"},
   { /* 370 */  IT32_SetTextCharacterExtra, SetTextCharacterExtra, "SetTextCharacterExtra"},
   { /* 371 */  IT32_SetTextColor, SetTextColor, "SetTextColor"},
   { /* 372 */  IT32_SetTextJustification, SetTextJustification, "SetTextJustification"},
   { /* 373 */  IT32_SetViewportExtEx, SetViewportExtEx, "SetViewportExtEx"},
   { /* 374 */  IT32_SetViewportOrgEx, SetViewportOrgEx, "SetViewportOrgEx"},
   { /* 375 */ Win32Trap, 0, "" },
   { /* 376 */ Win32Trap, 0, "" },
   { /* 377 */  IT32_SetWindowExtEx, SetWindowExtEx, "SetWindowExtEx"},
   { /* 378 */  IT32_SetWindowOrgEx, SetWindowOrgEx, "SetWindowOrgEx"},
   { /* 379 */  IT32_SetWorldTransform, SetWorldTransform, "SetWorldTransform"},
   { /* 380 */  IT32_StartDocA, StartDoc, "StartDocA"},
   { /* 381 */ Win32Trap, 0, "" },
   { /* 382 */  IT32_StartPage, StartPage, "StartPage"},
   { /* 383 */  IT32_StretchBlt, StretchBlt, "StretchBlt"},
   { /* 384 */  IT32_StretchDIBits, StretchDIBits, "StretchDIBits"},
   { /* 385 */  IT32_StrokeAndFillPath, StrokeAndFillPath, "StrokeAndFillPath"},
   { /* 386 */  IT32_StrokePath, StrokePath, "StrokePath"},
   { /* 387 */ Win32Trap, 0, "" },
   { /* 388 */  IT32_TextOutA, TextOut, "TextOutA"},
   { /* 389 */  IT32_TextOutW, TextOutW, "TextOutW"},
   { /* 390 */ Win32Trap, 0, "" },
   { /* 391 */ Win32Trap, 0, "" },
   { /* 392 */  IT32_UnrealizeObject, UnrealizeObject, "UnrealizeObject"},
   { /* 393 */  IT32_UpdateColors, UpdateColors, "UpdateColors"},
   { /* 394 */ Win32Trap, 0, "" },
   { /* 395 */ Win32Trap, 0, "" },
   { /* 396 */ Win32Trap, 0, "" },
   { /* 397 */  IT32_WidenPath, WidenPath, "WidenPath"},
   { /* 398 */ Win32Trap, 0, "" },
   { /* 399 */ Win32Trap, 0, "" },
   { /* 400 */ Win32Trap, 0, "" },
   { /* 401 */ Win32Trap, 0, "" },
   { /* 402 */ Win32Trap, 0, "" },
   { /* 403 */ Win32Trap, 0, "" },
   { /* 404 */ Win32Trap, 0, "" },
   { /* 405 */ Win32Trap, 0, "" },
   { /* 406 */ Win32Trap, 0, "" },
   { /* 407 */ Win32Trap, 0, "" },
   { /* 408 */ Win32Trap, 0, "" },
   { /* 409 */ Win32Trap, 0, "" },
   { /* 410 */ Win32Trap, 0, "" },
   { /* 411 */ Win32Trap, 0, "" },
   { /* 412 */ Win32Trap, 0, "" },
   { /* 413 */ Win32Trap, 0, "" },
   { /* 414 */ Win32Trap, 0, "" },
   { /* 415 */ Win32Trap, 0, "" },
   { /* 416 */ Win32Trap, 0, "" },
   { /* 417 */ Win32Trap, 0, "" },
   { /* 418 */ Win32Trap, 0, "" },
   { /* 419 */ Win32Trap, 0, "" },
   { /* 420 */ Win32Trap, 0, "" },
   { /* 421 */ Win32Trap, 0, "" },
   { /* 422 */ Win32Trap, 0, "" },
   { /* 423 */ Win32Trap, 0, "" },
   { /* 424 */ Win32Trap, 0, "" },
   { /* 425 */ Win32Trap, 0, "" },
   { /* 426 */ Win32Trap, 0, "" },
   { /* 427 */ Win32Trap, 0, "" },
   { /* 428 */ Win32Trap, 0, "" },
   { /* 429 */ Win32Trap, 0, "" },
   { /* 430 */ Win32Trap, 0, "" },
   { /* 431 */ Win32Trap, 0, "" },
   { /* 432 */ Win32Trap, 0, "" },
   { /* 433 */ Win32Trap, 0, "" },
   { /* 434 */ Win32Trap, 0, "" },
   { /* 435 */ Win32Trap, 0, "" },
   { /* 436 */ Win32Trap, 0, "" },
   { /* 437 */ Win32Trap, 0, "" },
   { /* 438 */ Win32Trap, 0, "" },
   { /* 439 */ Win32Trap, 0, "" },
   { /* 440 */ Win32Trap, 0, "" },
   { /* 441 */ Win32Trap, 0, "" },
   { /* 442 */ Win32Trap, 0, "" },
   { /* 443 */ Win32Trap, 0, "" },
   { /* 444 */ Win32Trap, 0, "" },
   { /* 445 */ Win32Trap, 0, "" },
   { /* 446 */ Win32Trap, 0, "" },
   { /* 447 */ Win32Trap, 0, "" },
   { /* 448 */ Win32Trap, 0, "" },
   { /* 449 */ Win32Trap, 0, "" },
   { /* 450 */ Win32Trap, 0, "" },
   { /* 451 */ Win32Trap, 0, "" },
   { /* 452 */ Win32Trap, 0, "" },
   { /* 453 */ Win32Trap, 0, "" },
   { /* 454 */ Win32Trap, 0, "" },
   { /* 455 */ Win32Trap, 0, "" },
   { /* 456 */ Win32Trap, 0, "" },
   { /* 457 */ Win32Trap, 0, "" },
   { /* 458 */ Win32Trap, 0, "" },
   { /* 459 */ Win32Trap, 0, "" },
   { /* 460 */ Win32Trap, 0, "" },
   { /* 461 */ Win32Trap, 0, "" },
   { /* 462 */ Win32Trap, 0, "" },
   { /* 463 */ Win32Trap, 0, "" },
   { /* 464 */ Win32Trap, 0, "" },
   { /* 465 */ Win32Trap, 0, "" },
   { /* 466 */ Win32Trap, 0, "" },
   { /* 467 */ Win32Trap, 0, "" },
   { /* 468 */ Win32Trap, 0, "" },
   { /* 469 */ Win32Trap, 0, "" },
   { /* 470 */ Win32Trap, 0, "" },
   { /* 471 */ Win32Trap, 0, "" },
   { /* 472 */ Win32Trap, 0, "" },
   { /* 473 */ Win32Trap, 0, "" },
   { /* 474 */ Win32Trap, 0, "" },
   { /* 475 */ Win32Trap, 0, "" },
   { /* 476 */ Win32Trap, 0, "" },
   { /* 477 */ Win32Trap, 0, "" },
   { /* 478 */ Win32Trap, 0, "" },
   { /* 479 */ Win32Trap, 0, "" },
   { /* 480 */ Win32Trap, 0, "" },
   { /* 481 */ Win32Trap, 0, "" },
   { /* 482 */ Win32Trap, 0, "" },
   { /* 483 */ Win32Trap, 0, "" },
   { /* 484 */ Win32Trap, 0, "" },
   { /* 485 */ Win32Trap, 0, "" },
   { /* 486 */ Win32Trap, 0, "" },
   { /* 487 */ Win32Trap, 0, "" },
   { /* 488 */ Win32Trap, 0, "" },
   { /* 489 */ Win32Trap, 0, "" },
   { /* 490 */ Win32Trap, 0, "" },
   { /* 491 */ Win32Trap, 0, "" },
   { /* 492 */ Win32Trap, 0, "" },
   { /* 493 */ Win32Trap, 0, "" },
   { /* 494 */ Win32Trap, 0, "" },
   { /* 495 */ Win32Trap, 0, "" },
   { /* 496 */ Win32Trap, 0, "" },
   { /* 497 */ Win32Trap, 0, "" },
   { /* 498 */ Win32Trap, 0, "" },
   { /* 499 */ Win32Trap, 0, "" },
   { /* 500 */ Win32Trap, 0, "" },
   { /* 501 */ Win32Trap, 0, "" },
   { /* 502 */ Win32Trap, 0, "" },
   { /* 503 */ Win32Trap, 0, "" },
   { /* 504 */ Win32Trap, 0, "" },
   { /* 505 */ Win32Trap, 0, "" },
   { /* 506 */ Win32Trap, 0, "" },
   { /* 507 */ Win32Trap, 0, "" },
   { /* 508 */ Win32Trap, 0, "" },
   { /* 509 */ Win32Trap, 0, "" },
   { /* 510 */ Win32Trap, 0, "" },
   { /* 511 */ Win32Trap, 0, "" },
   { /* 512 */ Win32Trap, 0, "" },
   { /* 513 */ Win32Trap, 0, "" },
   { /* 514 */ Win32Trap, 0, "" },
   { /* 515 */ Win32Trap, 0, "" },
   { /* 516 */ Win32Trap, 0, "" },
   { /* 517 */ Win32Trap, 0, "" },
   { /* 518 */ Win32Trap, 0, "" },
   { /* 519 */ Win32Trap, 0, "" },
   { /* 520 */ Win32Trap, 0, "" },
   { /* 521 */ Win32Trap, 0, "" },
   { /* 522 */ Win32Trap, 0, "" },
   { /* 523 */ Win32Trap, 0, "" },
   { /* 524 */ Win32Trap, 0, "" },
   { /* 525 */ Win32Trap, 0, "" },
   { /* 526 */ Win32Trap, 0, "" },
   { /* 527 */ Win32Trap, 0, "" },
   { /* 528 */ Win32Trap, 0, "" },
   { /* 529 */ Win32Trap, 0, "" },
   { /* 530 */ Win32Trap, 0, "" },
   { /* 531 */ Win32Trap, 0, "" },
   { /* 532 */ Win32Trap, 0, "" },
   { /* 533 */ Win32Trap, 0, "" },
   { /* 534 */ Win32Trap, 0, "" },
   { /* 535 */ Win32Trap, 0, "" },
   { /* 536 */ Win32Trap, 0, "" },
   { /* 537 */ Win32Trap, 0, "" },
   { /* 538 */ Win32Trap, 0, "" },
   { /* 539 */ Win32Trap, 0, "" },
   { /* 540 */ Win32Trap, 0, "" },
   { /* 541 */ Win32Trap, 0, "" },
   { /* 542 */ Win32Trap, 0, "" },
   { /* 543 */ Win32Trap, 0, "" },
   { /* 544 */ Win32Trap, 0, "" },
   { /* 545 */ Win32Trap, 0, "" },
   { /* 546 */ Win32Trap, 0, "" },
   { /* 547 */ Win32Trap, 0, "" },
   { /* 548 */ Win32Trap, 0, "" },
   { /* 549 */ Win32Trap, 0, "" },
   { /* 550 */ Win32Trap, 0, "" },
   { /* 551 */ Win32Trap, 0, "" },
   { /* 552 */ Win32Trap, 0, "" },
   { /* 553 */ Win32Trap, 0, "" },
   { /* 554 */ Win32Trap, 0, "" },
   { /* 555 */ Win32Trap, 0, "" },
   { /* 556 */ Win32Trap, 0, "" },
   { /* 557 */ Win32Trap, 0, "" },
   { /* 558 */ Win32Trap, 0, "" },
   { /* 559 */ Win32Trap, 0, "" },
   { /* 560 */ Win32Trap, 0, "" },
   { /* 561 */ Win32Trap, 0, "" },
   { /* 562 */ Win32Trap, 0, "" },
   { /* 563 */ Win32Trap, 0, "" },
   { /* 564 */ Win32Trap, 0, "" },
   { /* 565 */ Win32Trap, 0, "" },
   { /* 566 */ Win32Trap, 0, "" },
   { /* 567 */ Win32Trap, 0, "" },
   { /* 568 */ Win32Trap, 0, "" },
   { /* 569 */ Win32Trap, 0, "" },
   { /* 570 */ Win32Trap, 0, "" },
   { /* 571 */ Win32Trap, 0, "" },
   { /* 572 */ Win32Trap, 0, "" },
   { /* 573 */ Win32Trap, 0, "" },
   { /* 574 */ Win32Trap, 0, "" },
   { /* 575 */ Win32Trap, 0, "" },
   { /* 576 */ Win32Trap, 0, "" },
   { /* 577 */ Win32Trap, 0, "" },
   { /* 578 */ Win32Trap, 0, "" },
   { /* 579 */ Win32Trap, 0, "" },
   { /* 580 */ Win32Trap, 0, "" },
   { /* 581 */ Win32Trap, 0, "" },
   { /* 582 */ Win32Trap, 0, "" },
   { /* 583 */ Win32Trap, 0, "" },
   { /* 584 */ Win32Trap, 0, "" },
   { /* 585 */ Win32Trap, 0, "" },
   { /* 586 */ Win32Trap, 0, "" },
   { /* 587 */ Win32Trap, 0, "" },
   { /* 588 */ Win32Trap, 0, "" },
   { /* 589 */ Win32Trap, 0, "" },
   { /* 590 */ Win32Trap, 0, "" },
   { /* 591 */ Win32Trap, 0, "" },
   { /* 592 */ Win32Trap, 0, "" },
   { /* 593 */ Win32Trap, 0, "" },
   { /* 594 */ Win32Trap, 0, "" },
   { /* 595 */ Win32Trap, 0, "" },
   { /* 596 */ Win32Trap, 0, "" },
   { /* 597 */ Win32Trap, 0, "" },
   { /* 598 */ Win32Trap, 0, "" },
   { /* 599 */ Win32Trap, 0, "" },
   { /* 600 */ Win32Trap, 0, "" },
   { /* 601 */ Win32Trap, 0, "" },
   { /* 602 */ Win32Trap, 0, "" },
   { /* 603 */ Win32Trap, 0, "" },
   { /* 604 */ Win32Trap, 0, "" },
   { /* 605 */ Win32Trap, 0, "" },
   { /* 606 */ Win32Trap, 0, "" },
   { /* 607 */ Win32Trap, 0, "" },
   { /* 608 */ Win32Trap, 0, "" },
   { /* 609 */ Win32Trap, 0, "" },
   { /* 610 */ Win32Trap, 0, "" },
   { /* 611 */ Win32Trap, 0, "" },
   { /* 612 */ Win32Trap, 0, "" },
   { /* 613 */ Win32Trap, 0, "" },
   { /* 614 */ Win32Trap, 0, "" },
   { /* 615 */ Win32Trap, 0, "" },
   { /* 616 */ Win32Trap, 0, "" },
   { /* 617 */ Win32Trap, 0, "" },
   { /* 618 */ Win32Trap, 0, "" },
   { /* 619 */ Win32Trap, 0, "" },
   { /* 620 */ Win32Trap, 0, "" },
   { /* 621 */ Win32Trap, 0, "" },
   { /* 622 */ Win32Trap, 0, "" },
   { /* 623 */ Win32Trap, 0, "" },
   { /* 624 */ Win32Trap, 0, "" },
   { /* 625 */ Win32Trap, 0, "" },
   { /* 626 */ Win32Trap, 0, "" },
   { /* 627 */ Win32Trap, 0, "" },
   { /* 628 */ Win32Trap, 0, "" },
   { /* 629 */ Win32Trap, 0, "" },
   { /* 630 */ Win32Trap, 0, "" },
   { /* 631 */ Win32Trap, 0, "" },
   { /* 632 */ Win32Trap, 0, "" },
   { /* 633 */ Win32Trap, 0, "" },
   { /* 634 */ Win32Trap, 0, "" },
   { /* 635 */ Win32Trap, 0, "" },
   { /* 636 */ Win32Trap, 0, "" },
   { /* 637 */ Win32Trap, 0, "" },
   { /* 638 */ Win32Trap, 0, "" },
   { /* 639 */ Win32Trap, 0, "" },
   { /* 640 */ Win32Trap, 0, "" },
   { /* 641 */ Win32Trap, 0, "" },
   { /* 642 */ Win32Trap, 0, "" },
   { /* 643 */ Win32Trap, 0, "" },
   { /* 644 */ Win32Trap, 0, "" },
   { /* 645 */ Win32Trap, 0, "" },
   { /* 646 */ Win32Trap, 0, "" },
   { /* 647 */ Win32Trap, 0, "" },
   { /* 648 */ Win32Trap, 0, "" },
   { /* 649 */ Win32Trap, 0, "" },
   { /* 650 */ Win32Trap, 0, "" },
   { /* 651 */ Win32Trap, 0, "" },
   { /* 652 */ Win32Trap, 0, "" },
   { /* 653 */ Win32Trap, 0, "" },
   { /* 654 */ Win32Trap, 0, "" },
   { /* 655 */ Win32Trap, 0, "" },
   { /* 656 */ Win32Trap, 0, "" },
   { /* 657 */ Win32Trap, 0, "" },
   { /* 658 */ Win32Trap, 0, "" },
   { /* 659 */ Win32Trap, 0, "" },
   { /* 660 */ Win32Trap, 0, "" },
   { /* 661 */ Win32Trap, 0, "" },
   { /* 662 */ Win32Trap, 0, "" },
   { /* 663 */ Win32Trap, 0, "" },
   { /* 664 */ Win32Trap, 0, "" },
   { /* 665 */ Win32Trap, 0, "" },
   { /* 666 */ Win32Trap, 0, "" },
   { /* 667 */ Win32Trap, 0, "" },
   { /* 668 */ Win32Trap, 0, "" },
   { /* 669 */ Win32Trap, 0, "" },
   { /* 670 */ Win32Trap, 0, "" },
   { /* 671 */ Win32Trap, 0, "" },
   { /* 672 */ Win32Trap, 0, "" },
   { /* 673 */ Win32Trap, 0, "" },
   { /* 674 */ Win32Trap, 0, "" },
   { /* 675 */ Win32Trap, 0, "" },
   { /* 676 */ Win32Trap, 0, "" },
   { /* 677 */ Win32Trap, 0, "" },
   { /* 678 */ Win32Trap, 0, "" },
   { /* 679 */ Win32Trap, 0, "" },
   { /* 680 */ Win32Trap, 0, "" },
   { /* 681 */ Win32Trap, 0, "" },
   { /* 682 */ Win32Trap, 0, "" },
   { /* 683 */ Win32Trap, 0, "" },
   { /* 684 */ Win32Trap, 0, "" },
   { /* 685 */ Win32Trap, 0, "" },
   { /* 686 */ Win32Trap, 0, "" },
   { /* 687 */ Win32Trap, 0, "" },
   { /* 688 */ Win32Trap, 0, "" },
   { /* 689 */ Win32Trap, 0, "" },
   { /* 690 */ Win32Trap, 0, "" },
   { /* 691 */ Win32Trap, 0, "" },
   { /* 692 */ Win32Trap, 0, "" },
   { /* 693 */ Win32Trap, 0, "" },
   { /* 694 */ Win32Trap, 0, "" },
   { /* 695 */ Win32Trap, 0, "" },
   { /* 696 */ Win32Trap, 0, "" },
   { /* 697 */ Win32Trap, 0, "" },
   { /* 698 */ Win32Trap, 0, "" },
   { /* 699 */ Win32Trap, 0, "" },
   { /* 700 */ Win32Trap, 0, "" },
   { /* 701 */ Win32Trap, 0, "" },
   { /* 702 */ Win32Trap, 0, "" },
   { /* 703 */ Win32Trap, 0, "" },
   { /* 704 */ Win32Trap, 0, "" },
   { /* 705 */ Win32Trap, 0, "" },
   { /* 706 */ Win32Trap, 0, "" },
   { /* 707 */ Win32Trap, 0, "" },
   { /* 708 */ Win32Trap, 0, "" },
   { /* 709 */ Win32Trap, 0, "" },
   { /* 710 */ Win32Trap, 0, "" },
   { /* 711 */ Win32Trap, 0, "" },
   { /* 712 */ Win32Trap, 0, "" },
   { /* 713 */ Win32Trap, 0, "" },
   { /* 714 */ Win32Trap, 0, "" },
   { /* 715 */ Win32Trap, 0, "" },
   { /* 716 */ Win32Trap, 0, "" },
   { /* 717 */ Win32Trap, 0, "" },
   { /* 718 */ Win32Trap, 0, "" },
   { /* 719 */ Win32Trap, 0, "" },
   { /* 720 */ Win32Trap, 0, "" },
   { /* 721 */ Win32Trap, 0, "" },
   { /* 722 */ Win32Trap, 0, "" },
   { /* 723 */ Win32Trap, 0, "" },
   { /* 724 */ Win32Trap, 0, "" },
   { /* 725 */ Win32Trap, 0, "" },
   { /* 726 */ Win32Trap, 0, "" },
   { /* 727 */ Win32Trap, 0, "" },
   { /* 728 */ Win32Trap, 0, "" },
   { /* 729 */ Win32Trap, 0, "" },
   { /* 730 */ Win32Trap, 0, "" },
   { /* 731 */ Win32Trap, 0, "" },
   { /* 732 */ Win32Trap, 0, "" },
   { /* 733 */ Win32Trap, 0, "" },
   { /* 734 */ Win32Trap, 0, "" },
   { /* 735 */ Win32Trap, 0, "" },
   { /* 736 */ Win32Trap, 0, "" },
   { /* 737 */ Win32Trap, 0, "" },
   { /* 738 */ Win32Trap, 0, "" },
   { /* 739 */ Win32Trap, 0, "" },
   { /* 740 */ Win32Trap, 0, "" },
   { /* 741 */ Win32Trap, 0, "" },
   { /* 742 */ Win32Trap, 0, "" },
   { /* 743 */ Win32Trap, 0, "" },
   { /* 744 */ Win32Trap, 0, "" },
   { /* 745 */ Win32Trap, 0, "" },
   { /* 746 */ Win32Trap, 0, "" },
   { /* 747 */ Win32Trap, 0, "" },
   { /* 748 */ Win32Trap, 0, "" },
   { /* 749 */ Win32Trap, 0, "" },
   { /* 750 */ Win32Trap, 0, "" },
   { /* 751 */ Win32Trap, 0, "" },
   { /* 752 */ Win32Trap, 0, "" },
   { /* 753 */ Win32Trap, 0, "" },
   { /* 754 */ Win32Trap, 0, "" },
   { /* 755 */ Win32Trap, 0, "" },
   { /* 756 */ Win32Trap, 0, "" },
   { /* 757 */ Win32Trap, 0, "" },
   { /* 758 */ Win32Trap, 0, "" },
   { /* 759 */ Win32Trap, 0, "" },
   { /* 760 */ Win32Trap, 0, "" },
   { /* 761 */ Win32Trap, 0, "" },
   { /* 762 */ Win32Trap, 0, "" },
   { /* 763 */ Win32Trap, 0, "" },
   { /* 764 */ Win32Trap, 0, "" },
   { /* 765 */ Win32Trap, 0, "" },
   { /* 766 */ Win32Trap, 0, "" },
   { /* 767 */ Win32Trap, 0, "" },
   { /* 768 */  IT32_Gdi32End, Gdi32End, "Gdi32End"},
   { /* 769 */ 0,0} 
#endif
};
