/*--------------------------------------------------------------------------
**      heap.c                 Twine           From:  Wine/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file is a direct copy of the equivalent file in the
**  Wine project (www.winehq.com).  The Wine license permits
**  copying of source code, so long as all copyright and credit
**  information is preserved.  Any and all copyrights originally
**  in the Wine source code file are preserved exactly as they were
**  when this copy was made from the Wine source tree.
**  (see the 'Original Copyright(s)', below).
**  An exacty copy of the Wine license is contained in WINE-LICENSE.
**  
**      For a more general description of the Wine license, and
**  for a full list of the authors who deserve credit for this
**  code, please see www.winehq.com, or WINE-AUTHORS.
**  
**      However, because this file is released with Twine, we
**  are obliged to also release it under the LGPL license.
**  In short, you may make a copy or republish this code so long as
**  all of your changes to source code are again made publicly available.
**  Further, absolutely no warranty of any kind is given or implied.
**  Refer to the LGPL description at www.fsf.org or the file LICENSE 
**  for further details.
**  
**  
**      ==========================================================
**      IF YOU MAKE CHANGES TO THIS CODE, PLEASE REFLECT
**      THOSE CHANGES IN THE ORIGINAL WINE CODE, AT WWW.WINEHQ.COM
**      ==========================================================
**
**      
**------------------------ < Original Copyright(s) > -----------------------
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/heap.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/heap.h,v 1.2 1999/07/09 21:55:48 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/

typedef struct _heap_arena {
	DWORD dwSize;
	struct _heap_arena *prev;
	struct _heap_arena *next;
	WORD signature;
} HEAP_ARENA; 

typedef struct {
	DWORD dwSize;
	HEAP_ARENA arena;
} FREE_LIST_HEADER;

typedef struct {
	DWORD dwSize;
	DWORD nextBlock;
	FREE_LIST_HEADER freeListArray[4];
	void *nextHeap;
	HANDLE hCriticalSection;
	CRITICAL_SECTION criticalSection;	
	DWORD  dummy[2];
	short  flags;
	short  signature;
} *HEAP_HEADER;

/*------------------------- < Full Revision History > ----------------------
** $Log: heap.h,v $
** Revision 1.2  1999/07/09 21:55:48  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/


