/*--------------------------------------------------------------------------
**      neexe.h                 Twine           From:  Wine/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file is a direct copy of the equivalent file in the
**  Wine project (www.winehq.com).  The Wine license permits
**  copying of source code, so long as all copyright and credit
**  information is preserved.  Any and all copyrights originally
**  in the Wine source code file are preserved exactly as they were
**  when this copy was made from the Wine source tree.
**  (see the 'Original Copyright(s)', below).
**  An exacty copy of the Wine license is contained in WINE-LICENSE.
**  
**      For a more general description of the Wine license, and
**  for a full list of the authors who deserve credit for this
**  code, please see www.winehq.com, or WINE-AUTHORS.
**  
**      However, because this file is released with Twine, we
**  are obliged to also release it under the LGPL license.
**  In short, you may make a copy or republish this code so long as
**  all of your changes to source code are again made publicly available.
**  Further, absolutely no warranty of any kind is given or implied.
**  Refer to the LGPL description at www.fsf.org or the file TWINE-LICENSE 
**  for further details.
**  
**  
**      ==========================================================
**      IF YOU MAKE CHANGES TO THIS CODE, PLEASE REFLECT
**      THOSE CHANGES IN THE ORIGINAL WINE CODE, AT WWW.WINEHQ.COM
**      ==========================================================
**
**      
**------------------------ < Original Copyright(s) > -----------------------
**      
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/neexe.h
**
**  Description: Old MZ header for DOS programs
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/neexe.h,v 1.2 1999/07/09 21:55:48 mwalsh Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/


/*  
 * .
 * We check only the magic and the e_lfanew offset to the new executable
 * header.
 */
typedef struct
{
        WORD    e_magic;        /* MZ Header signature */
        WORD    e_cblp;         /* Bytes on last page of file */
        WORD    e_cp;           /* Pages in file */
        WORD    e_crlc;         /* Relocations */
        WORD    e_cparhdr;      /* Size of header in paragraphs */
        WORD    e_minalloc;     /* Minimum extra paragraphs needed */
        WORD    e_maxalloc;     /* Maximum extra paragraphs needed */
        WORD    e_ss;           /* Initial (relative) SS value */
        WORD    e_sp;           /* Initial SP value */
        WORD    e_csum;         /* Checksum */
        WORD    e_ip;           /* Initial IP value */
        WORD    e_cs;           /* Initial (relative) CS value */
        WORD    e_lfarlc;       /* File address of relocation table */
        WORD    e_ovno;         /* Overlay number */    
        WORD    e_res[4];       /* Reserved words */    
        WORD    e_oemid;        /* OEM identifier (for e_oeminfo) */
        WORD    e_oeminfo;      /* OEM information; e_oemid specific */
        WORD    e_res2[10];     /* Reserved words */
        WORD    e_lfanew;       /* Offset to extended header */
} IMAGE_DOS_HEADER,*PIMAGE_DOS_HEADER;  

#define IMAGE_DOS_SIGNATURE     0x5A4D          /* MZ */ 
#define IMAGE_OS2_SIGNATURE     0x454E          /* NE */
#define IMAGE_OS2_SIGNATURE_LE  0x454C          /* LE */
#define IMAGE_VXD_SIGNATURE     0x454C          /* LE */
#define IMAGE_NT_SIGNATURE      0x00004550      /* PE00 */

/*------------------------- < Full Revision History > ----------------------
** $Log: neexe.h,v $
** Revision 1.2  1999/07/09 21:55:48  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
