/*--------------------------------------------------------------------------
**      version.c                 Twin           From:  Twin/windows
**
**              
**------------------------- < License Information > ------------------------
**
**      This file was originally a part of Willows TWIN.  Willows
**  TWIN was released under a Library GPL (LGPL).  This permits
**  redistribution of this source code, provided that the full
**  TWIN license is in effect, and provided that all modifications
**  to this source code are made publicly available.
**  Please refer to Willows software (www.willows.com) or
**  LICENSE for full information.
**  
**      Under Twine, this file is also protected by an LGPL.  Please
**  see LICENSE for full details on this license.
**  
**
**      Copyright 1997 Willows Software, Inc.
**------------------------ < File Content Description > --------------------
**
**  Module:	windows/version.c
**
**  Description:
**      
**
**  Functions defined:
**    
**------------------------- < Revision Information > -----------------------
** $Header: /twinecvs/src/windows/version.c,v 1.6 1999/12/13 16:47:48 jwhite Exp $
**
**      Full Revision history at bottom of file
**      
**--------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
**              E X T E R N A L     I N C L U D E S 
**--------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
**              I N T E R N A L     I N C L U D E S
**--------------------------------------------------------------------------*/
#include "windows.h"
#include "version.h"
#include "Log.h"
#include "Release.h"

char *GetTwinFilename();
static DWORD CurrentVersion;

DWORD	FAR PASCAL WINAPI
GetVersion(void)
{
    char ver[32];
    WORD version;

    APISTR((LF_APICALL,"GetVersion()\n"));

    if (CurrentVersion == 0) {
#ifdef TWIN32
    	//CurrentVersion = MAKELONG(MAKEWORD(VER_MAJOR,VER_MINOR),VER_BUILD);
        CurrentVersion = 0xc0000a04;
#else
    	CurrentVersion = MAKELONG(WINVERSION(),DOSVERSION());
#endif
    	if (GetPrivateProfileString("version","version","",ver,sizeof(ver),
		GetTwinFilename())) {
		version = (WORD)GetPrivateProfileInt("version",ver,
			CurrentVersion, GetTwinFilename());

		CurrentVersion = MAKELONG(version,VER_BUILD);	
    	}
    }

    APISTR((LF_APIRET,"GetVersion: returns DWORD %x\n",CurrentVersion));
    return CurrentVersion; 
}

BOOL	WINAPI
GetVersionEx(LPOSVERSIONINFO lpOSVersionInfo)
{
	APISTR((LF_APICALL, "GetVersionEx(LPOSVERSIONINFO %p)\n",
		lpOSVersionInfo));

	if (!lpOSVersionInfo) {
		APISTR((LF_APIRET, "GetVersionEx: returns FALSE\n"));
		return (FALSE);
	}
#if 0
	lpOSVersionInfo->dwMajorVersion = VER_MAJOR;
	lpOSVersionInfo->dwMinorVersion = VER_MINOR;
	lpOSVersionInfo->dwBuildNumber =  VER_BUILD;
	lpOSVersionInfo->dwPlatformId = VER_PLATFORM_WIN32_WINDOWS;
#endif
	lpOSVersionInfo->dwMajorVersion = 4;
	lpOSVersionInfo->dwMinorVersion = 0xa;
	lpOSVersionInfo->dwBuildNumber =  0xc000;
	lpOSVersionInfo->dwPlatformId = VER_PLATFORM_WIN32_NT;
	strcpy(lpOSVersionInfo->szCSDVersion, VER_PATCH);

	APISTR((LF_APIRET, "GetVersionEx: returns FALSE\n"));
	return (TRUE);
}

#ifdef TWIN_BIN32
BOOL	WINAPI
GetVersionExA(LPOSVERSIONINFO lpOSVersionInfo)
{
	return GetVersionEx(lpOSVersionInfo);
}
#endif

/*------------------------- < Full Revision History > ----------------------
** $Log: version.c,v $
** Revision 1.6  1999/12/13 16:47:48  jwhite
** Minor comment changes.
**
** Revision 1.5  1999/12/08 08:02:56  robf
** updates for binary emulation
**
** Revision 1.4  1999/11/29 22:43:48  robf
** hack for version info
**
** Revision 1.3  1999/09/28 20:46:30  jsheets
**
** Added missing WINAPI's and straightened up some logging statements
** Revision 1.2  1999/07/09 21:55:48  mwalsh
** Updated comments to standard header and footer
**
**-------------------------------------------------------------------------*/
